commit 7dfb79cb5e2ad6cbd5e53caa64b9622d476fc82f
Merge: e6fd157 d106aeb
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Feb 28 23:05:00 2017 +0100

    Merge branch 'issues/381' into develop

commit d106aeb0f9eb723aef4f83ae77cdc776350111a1
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Feb 28 23:03:59 2017 +0100

    Enh: Remove commented out lines (regarding 6901)
    
    Fixes #381
    Fixes #335

commit 9511b8e9716b2b23121e3c2250d3f4b2dd1be456
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Feb 28 23:02:25 2017 +0100

    Enh: Act on callReference, callReference and passThruPartyID in a uniform manner

commit 772595283e2e88270d543566402a5dde520c2e13
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Feb 28 19:13:25 2017 +0100

    Fix: allow single line device (like 6901) to cancel transfer by pressing the line key (see cisco manual for 6901)
    Enh: allow single line device (like 6901) to cancel transfer by pressing the hold key on the transferer channel

commit fecb90d8e55f8e325866ebee0a2d7944111f6433
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Feb 28 00:11:07 2017 +0100

    Enh: Update sccp_protocol.h startMediaTransmission for 6901 (during transfer), include two new unknown fields.

commit db2f31fea10d6b23b4085bb219db5bc4dbc5ac4d
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Feb 27 22:16:06 2017 +0100

    Fix: StartMediaTransmission for 6901.
    Fix: Stop and Close port during Hold (Not sure if necessary, will recheck later)
    
    The 69XX series does does not send a passthrupartyid, but only CallId2
    
    Related #381
    Related #335

commit e6fd157e5025726dcc224f4cc5db6bca98198f2a
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Feb 25 15:00:21 2017 +0100

    Fix: Set OFFHOOKFEAT SoftkeySet on the Correct line, while performing a transfer.
    This might have been causing the 6901 to shift focus to the call being transfered,
    causing trouble while trying to enter the tranfer destination digits.
    
    Enh: Set the line lamp to FLASH during a transfer, to indicate we are performing a
    feature. The 6901 does not have a display, so we have to use the lamp instead.

commit 245f9c79c3e385cacb5e2ec829f7a510569b14e3
Merge: f9a660a 27bec59
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 24 20:44:51 2017 +0100

    Merge branch 'issues/380' into develop

commit 27bec59b6760c436efe7d050b9e8483bb35e3be9
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 24 20:42:34 2017 +0100

    Enh: Reduce butonconfig config parsing debug output to config+high

commit 7ad412a2cd58ad4cdc382e71bab830d75dae3573
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 24 20:33:39 2017 +0100

    Fix: Cleanup sccp reload device/line
    
    Closed #380

commit c94ced2735504154f67b695f028713d2a1025bb3
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 24 20:06:47 2017 +0100

    Fix: preliminary fix for sccp reload device SEP... (WIP).

commit f9a660a1fc68e40d1b7078123a8e2e7c8511235b
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 24 14:10:25 2017 +0100

    Fix: Do not check device accessory status during keypad handling
    Fix: ast_log ERROR to NOTICE when no channel is available. Sometimes users misdial when trying to hangup.

commit 75c117214b9e8a80f8b6b17b7ebaa0d093782512
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 24 13:10:37 2017 +0100

    Added debug logging to pre config reload

commit 895bde1580b5f9bf33abdc8dc32ae4b66e9ae3d1
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 24 11:03:55 2017 +0100

    Fix: Lower debug log for keypad entry without a channel
    Fix: Remove device state check when processing keypad buttons entered

commit 98f712ee0dfe73a7af0f35dd796d308e8cbb7f8f
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 24 01:33:35 2017 +0100

    Enh: Added debug logging to buttonconfig parse
    
    References #380

commit 0ce62bb34a4abe5fc98b4eb37f2bc344d8043ffd
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Feb 22 19:21:12 2017 +0100

    Fix: gcc version detection.

commit 43484717fd5ed792953a68e5164032adf55fc889
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Feb 22 18:46:27 2017 +0100

    Fix: cleanup gcc version detection.

commit 78fb33dabbc338b3c07c25c2b76e150b5cf18f66
Merge: d0c8184 341be95
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Feb 22 15:47:32 2017 +0100

    Deprecate: GCC 4.3.x and below are no longer supported. (Time to get away from Centos 5).

commit d0c8184a9b594652ae369d058a932dc5597cdeac
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Feb 22 15:44:11 2017 +0100

    Deprecate: GCC 4.3.x and below are no longer supported. (Time to get away from Centos 5).

commit 341be9599ba1ce8c7459f931c1015d2b84a7356f
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Feb 22 15:44:47 2017 +0100

    Deprecate: GCC 4.3.x and below are no longer supported. (Time to get away from Centos 5).

commit efb3cf0dfa5b79b652974acc22938b95f840d8cc
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Feb 22 15:44:11 2017 +0100

    Deprecate: GCC 4.3.x and below are no longer supported. (Time to get away from Centos 5).

commit d48fdaa3c31a097f69fe0c8f88df7429e364a264
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Feb 21 17:35:29 2017 +0100

    Fix: compile warning

commit 032a340e789e04b9eb567105b4559a792e905cf4
Merge: 3f5edb3 644a4f6
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Feb 21 17:19:20 2017 +0100

    Merge branch 'issues/374' into develop

commit 3f5edb32e332c319d6c732d5cac7ce80a81e4883
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Feb 21 17:08:59 2017 +0100

    Fix: reduce log level for '(OpenReceiveChannelAck) No channel with this PassThruPartyId' when channel has already been hungup.
    
    Fixes #370

commit 758e0687416ea24512d8a8ff92c15e4b5893c919
Merge: 864757f f19b107
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Feb 21 17:00:28 2017 +0100

    Merge branch 'issues/370' into develop
    
    Closed 370

commit 864757ff0b02563408cf429f5e13199cacb88525
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 19 16:17:12 2017 +0100

    Fix: compile/coverity warning about switch fall through.

commit 336ae64eecd70e647af9f33805750bad03686128
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 19 15:04:59 2017 +0100

    Enh: Added SetHookFlashDetect (WIP)
    Enh: Added IpPortMessage handling, store rtp port to be used by device during registration (WIP)

commit 65853f129fcf8ca15da55812b0a5197f5681cb27
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 19 15:03:31 2017 +0100

    Added comment about nokia call connect

commit a641d9eb635eb14f8f89cd5b899f93a9b6aaeb8c
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 17 15:25:36 2017 +0100

    Fix: skip 'non standard codec' when parsing codecs when device is registering

commit 5e5f65ab6d6499fc6220e716b41d2521df1915a5
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 17 14:34:17 2017 +0100

    Update XMLDefault.cnf.xml example file based on findings by Joerg

commit 423640105305e057a350f7bf42a7c25532f074ca
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Feb 15 16:00:36 2017 +0100

    Added reference URL to AUTHORS file
    
    Signed-off-by: Diederik de Groot <dkgroot@talon.nl>

commit 6b3173fed14200f8f87ac38df0869feaf8a967e8
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Feb 15 15:56:37 2017 +0100

    Update Authors file with gpg instructions
    
    Signed-off-by: Diederik de Groot <dkgroot@talon.nl>

commit c1d9b61e15fa0215109a4200caf2d14ba10a8701
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Feb 15 15:34:38 2017 +0100

    Add GPG fingerprints to AUTHORS file

commit 08413259368eada352f7bb3d070aee851fb7cb6c
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Feb 15 15:02:17 2017 +0100

    Enh: check device accessory status before handling KeyPress

commit 7525ec595f33d284bde8524ca278a743cc9e93d2
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Feb 15 13:32:17 2017 +0100

    Fix: compile warning

commit f4024a6adcc206e0d37a7268a42f81751e5dcee9
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Wed Feb 15 05:34:56 2017 +0100

    Fix gen_sccpconf

commit ea797e969133641c82b09d080c247df8f3474a6f
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Feb 14 17:31:34 2017 +0100

    Fix: Device Cleaning causing Registration issues
    
    Note: This does not fix the cause for the re-registration. I have not found out why devices sometimes:
    - loose there connection
    - do not respond until there session times out
    - go into a device restart
    
    Fixes #378
    Fixes #333

commit 046f19e94c10bc6525bec2c6082158f15e6e8a8d
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Feb 14 16:25:47 2017 +0100

    Fix: Redefine BackSpaceReqMessage as a Response Message

commit aed782f5ea3a5afc1e2d030cff6a2cb836222a87
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Feb 8 13:13:53 2017 +0100

    Fix: check value when using --with-hash-size

commit 1812b49dbac1bda3b852baacbe4da503b8e2b0ef
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Feb 6 18:21:01 2017 +0100

    Added comment to annotated xml file

commit 644a4f62dbda927f4f69eca33e5088ab1f64e190
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Feb 6 14:17:29 2017 +0100

    Update pbx_indicate debug output

commit 23a1c10acb8d1f1a4b826aefed8fd194bef6e826
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Feb 6 14:17:14 2017 +0100

    Fix: keypad handling for skinny protocol < 11 phones

commit ce8bce82f49f4ed40bc295603d2e955f8e530825
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Jan 31 13:32:35 2017 +0100

    Enh: Added sccp_parse_alertinfo function which converts ALERT_INFO Bellcore types to skinny_ringtypes
    Enh: Added [general]ringtype to be able to define global default ringtype
    Enh: Updated cli and appfunctions output to include global ringtype
    
    Fixes: #368

commit f19b107779502944c6c288c5fb1ce177fd23dd2c
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Jan 31 12:43:21 2017 +0100

    Fix: Make OpenReceiveChannelAck Debug Messages more accurate
    Fix: When OpenReceiveChannelAck does not have a channel, we should use REQ(r, CloseReceiveChannel) directly.
    
    References #370

commit cb4550b17fbf56893ca4c36e7d9e0fa538476e9f
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Jan 30 17:13:02 2017 +0100

    Fix: Re-add sendDeviceRestart during device cleanup to speed up module reloading.

commit f08ac447d9c731b3b0947192bddd9ba02cc91eec
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Jan 27 16:51:15 2017 +0100

    Update binary repository links

commit da50a6e14d5ff5e5dba20798d5d9e9323b6d6b01
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Jan 27 10:39:14 2017 +0100

    Added detectCMConnectionFailure to annotated SEP example file

commit db5adac143a77089cf49b47bdf228c457927cb9f
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Jan 27 10:38:30 2017 +0100

    Update News file

commit f2b4e6923c3587415bda86478b234b3fc750e8ae
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Jan 26 14:48:14 2017 +0100

    Enh: Added initial hookflash handling

commit 6ec9dc7a85ee7ebfcdaf9741666087354eb3d73c
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Jan 26 11:15:54 2017 +0100

    Fix: device and session keepAlive/keepAliveInterval calculation

commit b5da330ce85e7657629b7138e34c3c778a7aefb5
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Jan 25 19:15:46 2017 +0100

    Enh: Do not allow a device to unregister when we have active calls

commit 690228ec7ce85e477b105ccab6afa6d559467f27
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Jan 21 12:23:58 2017 +0100

    Enh: save LastDialedNumber to AST DB for each call if number has changed

commit 610c086a97762e47981cf2dcf9599a790ae860f4
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Jan 20 11:50:26 2017 +0100

    Enh: Simple python script to retrieve debug logs from SCCP phone

commit 514e885fd0590f943f2f75860a0b6faf60aea778
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Jan 19 12:46:32 2017 +0100

    Fix: Device restart/reset/unregister/cleanup and disconnecting it's session

commit 0eb987f6048b4b6f7bf8480a967474aae54c29f2
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Jan 17 16:33:21 2017 +0100

    Enh: sccp_dev_clean removed unused parameter cleanupTimeout

commit 1744d91bd6c2b84bfd47f6d6db282f54e89bc266
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Jan 17 16:32:27 2017 +0100

    Fix: sccp_log debug logging to console and file

commit 5ad78e409fab3288f901c62dca9d8b33273b43de
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Jan 14 11:52:14 2017 +0100

    Enh: return -1 when handling AST_CONTROL_MASQUERADE_NOTIFY

commit 00dfe064e29c33f41932fb485393c7134c9c9de9
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Jan 13 10:51:37 2017 +0100

    Fix: allowing thread to be interrupted / cancelled while in the middle of handling an sccp message
    
    If any locks are taken during the handling of the sccp message, these locks could be left hanging,
    if/when the thread is interrupted/cancelled. Thread cancellation should only be allowed while
    waiting(poll) for incoming messages.
    
    Issue reported by Salvador/voipAsteriskGuy

commit f5a5e8303bcfb68fefb79ce35551dffc3810dfcc
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Jan 11 12:12:45 2017 +0100

    Fix: compile warning on ast-1.8

commit cdc52069308fc12915ad026044750c5bfbb3606e
Merge: 0ae7922 5c1e7b0
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Jan 11 11:46:26 2017 +0100

    Merge branch 'develop' of github.com:chan-sccp/chan-sccp into develop

commit 5c1e7b0fc77458282f6edeae876ca97a5fc34087
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Jan 11 11:42:07 2017 +0100

    Fix: ast-1.6 - ast-10 compile warnings

commit 2759af9689c32d7fa65f5eae89bdc18fa2ad4226
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Jan 11 11:35:03 2017 +0100

    Fix: pickup/gpickup race condition, where we actually try to pickup another sccp channel which was already trying to pickup
    
    Cause: asterisk does not only allow RINGING/RINGIN channels to be picked up, but also channels with STATE_DOWN
    Solution: Remove the callgroup / named callgroup from the newly created channel, which is doing a pickup. That way they don't
    participate in the list of potential pickup candidates.
    
    Fixes #361

commit 0ae7922c6d2458da8d29836d796011214443ecfe
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Jan 11 10:08:15 2017 +0100

    Fix: added carriage return to some of the debug log output

commit c26e2e50d9862302e83564fdc09ce655fe0059f4
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Jan 10 15:48:34 2017 +0100

    Fix: config parser for subscriptionId auxilary fields like !silent
    
    We need to connect the subscriptionId when any of the subscriptionId fields has been set.
    
    Issue Reported by Jeffrey Otterson

commit 50fdff481469a75560e7e22b6bc9df84d76e40c6
Merge: b013124 67b194e
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Jan 6 10:06:46 2017 +0100

    Fix merge conflicts

commit b013124bd198858f889766bfac00179ff3d68cc8
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Jan 6 09:42:50 2017 +0100

    Fix: leaving sccp_wrapper_asterisk_channel_read function with locked ast channel
    
    Issue reported by Filip Frank

commit 67b194e554533aeb649f81b3f8d94b05e5bd1432
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Jan 6 09:18:00 2017 +0100

    Prepare branch for merge

commit 48021edf3d76627a7b9c72cd9530a34c499a20a9
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Dec 28 07:38:16 2016 +0100

    Fix: autorevision should not mark revision as (M)odified when there are only some untracked files in the source directory

commit c5c05e287fc22d89b5189b48f5f479884c776da0
Merge: ab3fb64 1c779bb
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Dec 28 06:51:21 2016 +0100

    Fix: device cross session cleanup issues (cause by two different session thread running sccp_dev_clean)
    Fix: add cancellation points in the session_thread, so that we can ean the session at a quiecense point
    Fix: added sccp_netsock_end_device_thread to send thread_cancel and join the previous thread
    Fix: device re-registration
    Fix: device timeout
    Fix: module unload/load time
    Fix: we cannot depend on module_running when starting sccp_netsock_thread
    Fix: cleaner method to shutdown of sccp_netsock_thread during module unload
    Enh: Extended refcount debugging when --enable-refcount-debug is enabled
    Enh: sccp_session removed old / ununed / no longer needed functions
    Enh: automatically rotate /tmp/sccp_refs every 10+ Mb
    
    We are cleaning up the device from the new thread, if/when the server then starts to
    cleanup the device from the old thread as well, everything goes really wrong.
    Instead of cleaning up the device from the new thread (and potentially from the old
    thread (keepalive timeout > 60) at the same time), we should just pthread_kill the
    old thread and join it, that will cause both threads to run as one, and cleanup
    will be performed as a unified process, fixing all the refcount issues and
    re-register trouble.
    You could reproduce the issue by pulling the UTP cable for 3 seconds, shortly after a device
    registered. It will take a java phone about 40-50 seconds to start registering again, at this
    time the server will have timeout the connection as well, when both coincide -> mayhem.
    
    Fixes #358
    Fixes #153
    References #309

commit 1c779bbe9c9e14087ef180f68fc98e771a6b02dc
Merge: d3262f6 ab3fb64
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Dec 28 06:47:15 2016 +0100

    Merge branch 'develop' into issues/358

commit d3262f69b14cb79834a0291576181577069b745f
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Dec 28 01:15:22 2016 +0100

    Fix: we cannot depend on module_running when starting sccp_netsock_thread
    Fix: cleaner method to shutdown of sccp_netsock_thread during module unload

commit 9d8ea5e010da2390bc736146e6f655f06e643cac
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Dec 28 00:05:07 2016 +0100

    Enh: seperate sccp_refcount_addWeakParent, sccp_refcount_removeWeakParent and sccp_refcount_gen_report into --enable-refcount-debug only
         in preparation for 'develop' branch integration

commit ab3fb646c09dc1452532473dc68146ec50b518fa
Merge: 6fe7eb2 ddeecc3
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Dec 27 23:29:01 2016 +0100

    Merge branch 'develop' of github.com:chan-sccp/chan-sccp into develop
    After rebase to correct/clarify some of the commit messages

commit 6fe7eb21611ae59e8b3ea542b482d0ee46b18443
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Tue Dec 27 11:47:39 2016 +0100

    Fix: When busy then queue_control=BUSY, hangupcause=AST_CAUSE_USER_BUSY and return '0' as exit status to DIAL command (#363)
    
    Fix: When we receive a channel PROD indication, do not start audio flow when there is a hangupcause
         otherwise we would not generate busy tones when we receive AST_CONTROL_BUSY
    
    Fixes #315

commit 071619bc3664eccd8e8fa32c8715d900c722f554
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Tue Dec 27 11:06:40 2016 +0100

    Fix: When openReceiveChannelAck is handled
         - tones being played should be stopped
         - We should signal remote side that we can receive inband tones now
    Fix: RINGOUT indication when earlyrtp=ringout should openreceivechannel and not use skinny tones
    Enh: Remove if condition around sccp_hint_notifySubscribersViaPbx, which is not necessary. Reported by Marcello. (hint)
    Fix: DND sometimes shows as BUSY
    Fix: Check if event could be created and sent, if not cleanup created event to prevent memory leak.
    
    Fixes 324
    Fixes 317
    Fixes 334

commit ed4537a297eb1ebdeeb0041255c9453bde062d1b
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Tue Dec 27 10:14:09 2016 +0100

    Fix: This would show a remotely connected call in a collapsed callplane.
    Fix: Suppress phonebook entry of a missed call when call is indicated remotely
    Enh: Added sccp_softkey_isSoftkeyInSoftkeySet to check if a softkey is enabled in a particular softkeyset on a device
    Enh: By removing intercept button from the onhookstealable keyset you can influence the way a remote call is displayed (collapsed or in plain view)
    
    Fixes #354
    References #349
    Partially References #350

commit 3981e17f1408a48d99e59ce852c4e083428ca99a
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Dec 23 15:37:45 2016 +0100

    Fix: Make sure s->device is still valid after a sccp reload before continuing session handling
    Fix: change session keepalive calculation and put the calculation in a seperate function: recalc_wait_time
    
    References #358

commit d69508d5a62b0e6ad96ec7327ae6e175e5334e49
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Dec 26 19:28:50 2016 +0100

    Fix: phonebook entries during pickup and gpickup
    Fix: when there is nothing to pickup
     - error sound(BEEPBONK instead of ZIPZIP)
     - displayprinotify instead of displayprompt
    
    Fixes #361

commit 34b4bbb14f0921397c421ea7a45d900c9880fc2d
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Dec 24 16:22:59 2016 +0100

    Fix: (sccp_wrapper_asterisk_indicate) forward connected line information even when asterisk channel is still down. We are missing important information otherwise.

commit ddeecc3f5071dd229fdee3ed2b44b5f55c6b5584
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Tue Dec 27 11:47:39 2016 +0100

    Fix: When busy then queue_control=BUSY, hangupcause=AST_CAUSE_USER_BUSY and return '0' as exit status to DIAL command (#363)
    
    Fix: When we receive a channel PROD indication, do not start audio flow when there is a hangupcause
         otherwise we would not generate busy tones when we receive AST_CONTROL_BUSY
    
    Fixes #315

commit 2fd790f1a50a571f086f87e9f16c6a188af027a4
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Tue Dec 27 11:06:40 2016 +0100

    Issues/324 (#362)
    
    * Fix: RINGOUT indication when earlyrtp=ringout should openreceivechannel and not use skinny tones
    Fix: When openReceiveChannelAck is handled, any played tones should be stopped, and we should signal remote side that we can receive inband tones now
    
    * Fix: DND sometimes shows as BUSY
    
    Fixes 324
    Fixes 317
    Fixes 334
    
    * Enh: Remove if condition around sccp_hint_notifySubscribersViaPbx, which is not necessary. Reported by Marcello.
    
    * Fix: check if event could be created and sent, if not cleanup created event to prevent memory leak.
    
    * Fix: RINGOUT indication when earlyrtp=ringout should openreceivechannel and not use skinny tones
    Fix: When openReceiveChannelAck is handled, any played tones should be stopped, and we should signal remote side that we can receive inband tones now
    
    * Fix: DND sometimes shows as BUSY
    
    references 324
    references 317
    
    * Enh: Remove if condition around sccp_hint_notifySubscribersViaPbx, which is not necessary. Reported by Marcello.
    
    * Fix: check if event could be created and sent, if not cleanup created event to prevent memory leak.

commit 53f6485ead66a7551f1bd35c266992182b9ed992
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Tue Dec 27 10:14:09 2016 +0100

    Issues/354 (#359)
    
    * Fix: This would show a remotely connected call in a collapsed callplane.
    Not sure if this is what we want, but it does look better this way
    
    references 354
    
    * Fix: This would show a remotely connected call in a collapsed callplane.
    Not sure if this is what we want, but it does look better this way
    
    references 354
    
    * Enh: Added sccp_softkey_isSoftkeyInSoftkeySet to check if a softkey is enabled in a particular softkeyset on a device
    Enh: By removing intercept button from the onhookstealable keyset you can influence the way a remote call is displayed (collapsed or in plain view)
    Fix: Suppress phonebook entry of a missed call when call is indicated remotely
    
    References #354
    References #349
    Partially References #350
    
    * Fix: This would show a remotely connected call in a collapsed callplane.
    Not sure if this is what we want, but it does look better this way
    
    references 354
    
    * Enh: Added sccp_softkey_isSoftkeyInSoftkeySet to check if a softkey is enabled in a particular softkeyset on a device
    Enh: By removing intercept button from the onhookstealable keyset you can influence the way a remote call is displayed (collapsed or in plain view)
    Fix: Suppress phonebook entry of a missed call when call is indicated remotely
    
    References #354
    References #349
    Partially References #350

commit 754bd47e806a7359af46bf8d2be1c9297d8156b2
Merge: 670810b af8370f
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Dec 27 09:56:27 2016 +0100

    Merge branch 'develop' of github.com:chan-sccp/chan-sccp into issues/358
    Fix: remove wait thread_join loop from __sccp_netsock_end_device_thread

commit af8370f9f25a803f0cabe6e90b764744dee8c5ec
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Dec 27 09:42:53 2016 +0100

    Enh: Rename calc_wait_time to recalc_wait_time

commit c8af4778e2d3f0de68c39f2d92d5c4d49e03220f
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Dec 27 09:41:18 2016 +0100

    Fix: Make sure s->device is still valid after a sccp reload before continuing session handling

commit f758abfe8b101ae1595a0524d5f9ae0dc3e20931
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Dec 26 19:28:50 2016 +0100

    Fix: phonebook entries during pickup and gpickup
    Fix: when there is nothing to pickup
     - error sound(BEEPBONK instead of ZIPZIP)
     - displayprinotify instead of displayprompt
    
    Fixes #361

commit b6a3835d9faba9fccf6c07d99939e158d812ea7a
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Dec 24 16:22:59 2016 +0100

    Fix: (sccp_wrapper_asterisk_indicate) forward connected line information even when asterisk channel is still down. We are missing important information otherwise.

commit 670810bc74e5b5f2f9bc75df4360dfb257e150a8
Merge: af404cb 3a043c6
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Dec 23 15:40:15 2016 +0100

    Merge develop sccp_session.c changes to correct keepalive timeout calculation

commit 3a043c6ecd9d63c01d0479d1a050525adc52de8b
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Dec 23 15:37:45 2016 +0100

    Fix: session keepalive calculation

commit af404cb0a16cb4f9bb8b3a7573f490e55c7084b4
Merge: ba2ecbd 037e2d4
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Dec 23 11:54:34 2016 +0100

    merge develop into branch

commit 037e2d48e68c6dcfc19c1ee965d25761835de927
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Dec 23 11:52:56 2016 +0100

    Fix: gcc compiler warning about shadowing variable caused by new AUTO_RELEASE implementation

commit ba2ecbd492627c80f3f49519c201b9c2f20b9961
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Dec 22 12:30:22 2016 +0100

    Enh: cleanup old/unused stuff in sccp_session.c.

commit 3682f45fa0827a89d15d7e65ce177b77a15d15cd
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Dec 22 11:54:46 2016 +0100

    Fix: stopsession checks if called from the same thread or another
    Fix: added sccp_netsock_end_device_thread to handle stopsession from remote threads
    
    Also fixes #153 (slow module unload, reported by marcello)

commit 04f70f8471c1dd172577e4f6e7702060742b4630
Merge: 62790fa e6ca355
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Dec 22 10:53:17 2016 +0100

    Merge branch 'develop' of github.com:chan-sccp/chan-sccp into issues/358

commit e6ca355004590fc5b83b356558a007ec461fe966
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Dec 22 10:44:25 2016 +0100

    Fix: refcount issue in sccp_mwi_lineStatusChangedEvent causing refcount+1 when we disconnect device during a call
    Fix: make sure we unref linedevice when cleaning up channel
    
    References #333
    References #358
    References #309

commit 62790fa4805ecf8de62f9c8335326c3054712f21
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Dec 21 21:47:27 2016 +0100

    Fix: running asterisk test framework with new changes in sccp_refcoun

commit cba344a2af3b1df2354f71e25bf5e3f5ec0496e8
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Dec 21 20:34:41 2016 +0100

    Fix: sccp_session_removeDevice should locally store a pointer to device while cleaning up.

commit c171890f657108a95208b22a047f2eacf0bd1be7
Merge: 6896bae ebe7837
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Dec 21 20:25:50 2016 +0100

    Fix rebase issues

commit 6896baed4a42d102b1bd6741f97c93ecf338438a
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Dec 21 20:24:53 2016 +0100

    Fix rebase issues

commit 480d4f7f881ee14b931413efc6c2afb21e4e290f
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Dec 20 20:01:55 2016 +0100

    Fix: Add cancellation points in the session_thread, so that we can clean the session at a quiecense point
    Fix: improve session cross over handling
    
    References #358
    References #333
    References #247

commit 3261707162f185e028be8491bb3a07929b4f6136
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Dec 20 03:26:05 2016 +0100

    Fix: crossover session causing re-registration trouble and refcount issues
    
    We are cleaning up the device from the new thread, if/when the server then starts to
    cleanup the device from the old thread as well, everything goes really wrong.
    Instead of cleaning up the device from the new thread (and potentially from the old
    thread (keepalive timeout > 60) at the same time), we should just pthread_kill the
    old thread and join it, that will cause both threads to run as one, and cleanup
    will be performed as a unified process, fixing all the refcount issues and
    re-register trouble.
    
    You can reproduce the issue by pulling the UTP cable for 3 seconds, shortly after a device
    registered. It will take a java phone about 40-50 seconds to start registering again, at this
    time the server will have timeout the connection as well, when both coincide -> mayhem.

commit 0f8725ffefed31b4dac72564f060dbbed6f48fa3
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Dec 20 01:25:56 2016 +0100

    Fix: sccp reload with a major change in general section should delete/destroy all realtime devices, they will be reloaded from DB
         keeping them around will cause a refcount +1 issue otherwise

commit 5f8e4a15b073b5a53d2bb922f3e0f7f15d971deb
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Dec 20 00:53:34 2016 +0100

    Fix: sccp_device preload when compiled without realtime support.

commit 374954887882a604a96bc02e702f4d1b4a3f8389
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Dec 20 00:52:23 2016 +0100

    Fix: contructor/destructor tagging in sccp_refs
    Fix: updated contrib/refcounter.py accordingly

commit e8e79c097ff1adb934c3443ae726e4da3799b890
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Dec 18 15:27:33 2016 +0100

    Enh: Auto rotate /tmp/sccp_refs every 10Mb

commit 12dc40a159d7a47049511681ef75c12611c3e590
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Dec 18 13:44:29 2016 +0100

    Fix: sccp_refcount_debug output
    Fix: Update contrib/refcounter.py to match new output

commit e5b08f629b298f48bb0a5d2c42932b65e527df58
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Dec 17 23:22:44 2016 +0100

    Enh: Added method to add/remove parents for refcounted items (using during reporting) (Temporary)
    Enh: Generate refcount report during sccp_dev_clean and sccp_handle_register events
    Fix: Changed sccp_line_cleanup order of event
    Fix: check existance of linedevice during sccp_line_createLineButtonsArray, before adding
    
    References #358
    References #247
    References #333

commit 6e1853394de3419d1be90ad8178199a052203165
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Dec 16 20:03:07 2016 +0100

    Enh: dev_cleanup check device->lineButtons.size before calling sccp_line_deleteLineButtonsArray.

commit ff21ba3712cea8e6e2d28df7bbbb8d36df4264b8
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Dec 21 20:18:10 2016 +0100

    Enh: store the file,line,func information when creating AUTO_RELEASE pointer.
    We use this information during auto_release of the pointer to show the correct location.
    Making it easier to debug the path leading to refcount issues

commit edc5ce84be779c7bf1ece5ac474d2f3ae85c6edb
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Dec 21 10:25:29 2016 +0100

    Fix: refcount_replace when compiled with refcount-debug configure flag

commit f256055b6a61f4138e2e5f687bb602ead848e3b2
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Dec 20 20:16:12 2016 +0100

    Fix: incoming_call_limit reached should return BUSY state to dialplan
    
    Fixes #315

commit ebe7837ac79b54a0427103956f843a3d7b143976
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Dec 20 20:01:55 2016 +0100

    Fix: Add cancellation points in the session_thread, so that we can clean the session at a quiecense point
    Fix: improve session cross over handling
    
    References #358
    References #333
    References #247

commit 392587aa7005f192ab5fb3859d3fbb4ddb8ebe1f
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Dec 20 03:26:05 2016 +0100

    Fix: crossover session causing re-registration trouble and refcount issues
    
    We are cleaning up the device from the new thread, if/when the server then starts to
    cleanup the device from the old thread as well, everything goes really wrong.
    Instead of cleaning up the device from the new thread (and potentially from the old
    thread (keepalive timeout > 60) at the same time), we should just pthread_kill the
    old thread and join it, that will cause both threads to run as one, and cleanup
    will be performed as a unified process, fixing all the refcount issues and
    re-register trouble.
    
    You can reproduce the issue by pulling the UTP cable for 3 seconds, shortly after a device
    registered. It will take a java phone about 40-50 seconds to start registering again, at this
    time the server will have timeout the connection as well, when both coincide -> mayhem.

commit cd864089bd4a0b8668d4fede6ed66ee817cc8df7
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Dec 20 01:25:56 2016 +0100

    Fix: sccp reload with a major change in general section should delete/destroy all realtime devices, they will be reloaded from DB
         keeping them around will cause a refcount +1 issue otherwise

commit aeb54a0e7a7beb6008fa87bac62635463e9ef566
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Dec 20 00:53:34 2016 +0100

    Fix: sccp_device preload when compiled without realtime support.

commit 536e65c10609e891c64e9ad982d947070c6dee93
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Dec 20 00:52:23 2016 +0100

    Fix: contructor/destructor tagging in sccp_refs
    Fix: updated contrib/refcounter.py accordingly

commit a48e1102de3df1b31b9d175ddd6f85dcf6b9ec51
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Dec 18 15:27:33 2016 +0100

    Enh: Auto rotate /tmp/sccp_refs every 10Mb

commit 9237db129b763e63903a15041ca03eceeba9a490
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Dec 18 13:44:29 2016 +0100

    Fix: sccp_refcount_debug output
    Fix: Update contrib/refcounter.py to match new output

commit 7d0aff055fe64aeea9074fd5bb34553f26746e41
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Dec 18 13:09:58 2016 +0100

    Enh: Added comment to warn about use of sccp_device_sendCallHistoryDisposition

commit 65cd538fec06efaef628ec951045167a59b5ad64
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Dec 18 13:05:05 2016 +0100

    Fix: revert use of sccp_device_sendCallHistoryDisposition back to old method for phonebook entry suppression. CallHistoryDisposition only works on a limited number of devices (alas).

commit 3473867e8b783c6333fd977fec840cd3af6300b2
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Dec 18 13:03:51 2016 +0100

    Fix: error in if condition when compiled with --enable-refcount-debug

commit 87cb0c7d829c4c3d7e3c9f8aa01a3d3297dd5503
Merge: 544de36 ef9be53
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Dec 18 12:47:17 2016 +0100

    Fix: merge conflict during rebase on develop

commit 544de36fb626c7f18d69346abdd021adee911a78
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Dec 17 23:22:44 2016 +0100

    Enh: Added method to add/remove parents for refcounted items (using during reporting) (Temporary)
    Enh: Generate refcount report during sccp_dev_clean and sccp_handle_register events
    Fix: Changed sccp_line_cleanup order of event
    Fix: check existance of linedevice during sccp_line_createLineButtonsArray, before adding
    
    References #358
    References #247
    References #333

commit 170eff92211e305a5680a3b25021668b698f964f
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Dec 16 20:03:07 2016 +0100

    Enh: dev_cleanup check device->lineButtons.size before calling sccp_line_deleteLineButtonsArray.

commit 0e940e5c8cff5755b790ebf2624f94fe8192f87a
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Dec 18 12:42:13 2016 +0100

    Enh: remove unusefull scm_log output from coverity build.

commit c606fb26e859ff9c0abeb7569b8d2c8c3a5e6892
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Dec 18 12:41:34 2016 +0100

    Enh: generate pbx_log WARNING level output during sccp_dev_cleanup.

commit ef9be53559b6cb4ca6483e2b1033b027294ce923
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Dec 17 23:22:44 2016 +0100

    Enh: Added method to add/remove parents for refcounted items (using during reporting) (Temporary)
    Enh: Generate refcount report during sccp_dev_clean and sccp_handle_register events
    Fix: Changed sccp_line_cleanup order of event
    Fix: check existance of linedevice during sccp_line_createLineButtonsArray, before adding
    
    References #358
    References #247
    References #333

commit 1114beadd1a83ee849ea017b1cf294fdc66a2f73
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Dec 16 20:03:07 2016 +0100

    Enh: dev_cleanup check device->lineButtons.size before calling sccp_line_deleteLineButtonsArray.

commit a42f1a4cb8a9a58ea585905bca75373242673ec6
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Dec 16 19:39:26 2016 +0100

    Fix: coverity dead code warning about rechecking s pointer when generating output for ami command.

commit 61d169f87b461a6bf1cce0747ce3e82b49904d68
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Dec 16 06:02:09 2016 +0100

    Upd: Allow trusty13 + clang to fail (running coverity is only allowed a limited number of times per day)

commit 7bccd1cf28edeff6986e404d85f24a00c3012d92
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Dec 16 06:01:02 2016 +0100

    Fix: use skinny_buttontype instead of skinny_stimulus

commit ad93aa8f8d5f6f06454f26779426a8c5558014c1
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Dec 16 05:50:23 2016 +0100

    Fix: coverity switched to clang as their checking compiler, during configure we use gcc and that causes us to use the wrong RAII macro version. switching to clang during configure as well.

commit 3fc6a21414d2d9e3d1c7fb90904e6412235329a6
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Dec 16 05:32:52 2016 +0100

    Fix: Show coverity build log in travis build (3)

commit 31282f5852e597d0a6b4f9c3e00124e78253766f
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Dec 16 05:21:54 2016 +0100

    Fix: Show coverity build log in travis build (2)

commit 82bb66c326cb519c92effb2ac8797ee234486b89
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Dec 16 05:10:04 2016 +0100

    Fix: Show coverity build log in travis build

commit f97dfe5d28733fcfea49a76ccf623281dd62c235
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Dec 16 05:03:47 2016 +0100

    Fix: use skinny_buttontype instead of skinny_stimulus when setting buttonID.

commit aa8e8207a621d07b8038f3baa0a6173a3e020a54
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Dec 16 05:00:21 2016 +0100

    Fix: coverity warning about retesting a variable already testing in LIST_FIND macro
    Enh: Show coverity build log in travis build

commit 758dd6105e32ddfc1c78d34be305f358c34c026a
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Dec 15 00:18:00 2016 +0100

    Enh: Reduce pbx_log notice to sccp_log when allocating a new channel

commit 41621e0b1f91fca39e1aa562613d0c95dde9544a
Merge: 7eb7ae9 831b1fe
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Dec 14 04:47:13 2016 +0100

    Rebase on top of develop

commit 7eb7ae9d6be3a6d573e297d445a3db68721490c0
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Dec 14 04:23:12 2016 +0100

    Fix: in line stimulus handler: use l.statistic.numberOfHeldChannels instead of l->channels to find the number of calls on hold.

commit 8b11ac082fc903257c06a388e1b2c8bacf021229
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Dec 14 03:46:07 2016 +0100

    Fix: when handling softkey stimulus with callid + lineInstance
         and we have a device->ActiveChannel in OFFHOOK state then hang it up and switch to the callid/linestate requested
         before handling the softkey request
    Fix: when handling channel_resume and we have a device->ActiveChannel in OFFHOOK state, hang it up
    Enh: cleanup line stimulus debug output by adding some returns at the end
    Enh: in line-stimulus, if call on hold but multiple line channels then switch to the choosen line, and update display
    
    resolves #356

commit c32c6e39918880492ff8367b0fc218855c824bb2
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Dec 14 04:43:55 2016 +0100

    Fix: compile against older asterisk versions for connectedline.

commit 831b1fe96042d9ae9989de12afa60fb73e912138
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Dec 14 04:23:12 2016 +0100

    Fix: in line stimulus handler: use l.statistic.numberOfHeldChannels instead of l->channels to find the number of calls on hold.

commit 47e11eff3d45fd939e46a4962937ba80075161f1
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Dec 14 03:46:07 2016 +0100

    Fix: when handling softkey stimulus with callid + lineInstance
         and we have a device->ActiveChannel in OFFHOOK state then hang it up and switch to the callid/linestate requested
         before handling the softkey request
    Fix: when handling channel_resume and we have a device->ActiveChannel in OFFHOOK state, hang it up
    Enh: cleanup line stimulus debug output by adding some returns at the end
    Enh: in line-stimulus, if call on hold but multiple line channels then switch to the choosen line, and update display
    
    resolves #356

commit 457628d64f2cafeb55203fe6ab65650f9184524d
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Dec 14 01:17:45 2016 +0100

    Enh: remove debug logging from sendCallInffoV20
    Enh: simplify if condition when sending connectedline. Only update callinfo if new information is available.

commit edb038563073875f8769cccbbd143666076584c2
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Dec 14 01:15:17 2016 +0100

    Fix: revert revision 0be48c : strlen check in sendCallInfoV20.
    
    Caused Caller Name: 'Unknown Name' being displayed.

commit b0a12ceab862ad46e3026c8578ee389b31613dcb
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Tue Dec 13 16:46:41 2016 +0100

    Include revison and/or branch in Issue Template

commit 75c9b8acfdbd28369a72689a254b2ae93bedaa12
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Dec 12 18:43:56 2016 +0100

    Update Readme Files

commit 5ce456253d1b894692ee3554756836c6b3ab681a
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Dec 12 18:09:28 2016 +0100

    Fix: remarked out logically dead/unreachable code (could not find a way to make coverity annotation work)

commit 96b3ce99f3f680243efe4699ece28d175a9c44f3
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Dec 12 17:25:23 2016 +0100

    Enh: Add some possible entries to SEP0000000000.cnf.xml_797x_template, including minimumRingVolume.

commit bc8bab2a0fecc4a2935c07f9b46119f498f7af42
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Dec 11 18:22:33 2016 +0100

    Suppress: coverity warning in sccp_features.c

commit 9e00eba9c052671196c856c087d5346c8c0c437b
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Dec 11 18:22:00 2016 +0100

    Fix: coverity warning about buffer not being terminated before use

commit 86b4464e94e9bf207a3ed6323632a3529e755076
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Dec 11 18:05:48 2016 +0100

    Fix: unregister_channel_tech, when module load fails

commit 6a82661521c32ffdf36581f62c7fc276eafbb7bf
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Dec 11 17:49:52 2016 +0100

    Fix: unregister_channel_tech, when module load fails

commit 47d11c9ad4cb006c2cab633098d2c101454fb7da
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Dec 11 17:47:54 2016 +0100

    Suppress: DeadCode Warning about checking SCCP_CFWD_NOANSWER in switch which was already checked (sccp_features.c).
    Fix: Non Null Terminated string warning returned from recv(). Using uint8_t buffer[] instead of unsigned char buffer[].
    
    Issues reported by coverity

commit 0be48ca4ae29ffec8d06f69c717687d6ee5d165e
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Dec 11 17:13:51 2016 +0100

    Fix: checking array entry for null where strlen check was required (sccp_protocol.c)
    Suppress: DeadCode Warning about checking SCCP_CFWD_NOANSWER in switch which was already checked (sccp_features.c).
    Suppress: Non Null Terminated string warning returned from recv(). Intentionally kept.
    
    Issues reported by coverity

commit 40f0072bb3b1cbe58a09e14074db217051702c64
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Dec 11 17:11:36 2016 +0100

    Fix: warning about unused variable
    Fix: warning about using void *data in debug output
    
    Reported by clang-3.9

commit efd7513af86439a18e0f9e8d33339686a89c237c
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Dec 11 16:21:00 2016 +0100

    Fix: Switch on coverity scan for develop branch on trusty13 build

commit f923404b72a74cda295bda2dd433cf9520117209
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Dec 11 16:18:33 2016 +0100

    Switch on coverity scan for develop branch on trusty13 build

commit f9251e6ea3fa9ed1169a9a0a520e1c4146fceb28
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Sun Dec 11 00:30:14 2016 +0100

    Merge remote-tracking branch 'origin/develop' into issues/323 (#355)

commit ed676e6f302082927c43214ca360a81125a96f70
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Dec 10 19:37:06 2016 +0100

    Fix: returning Busy State on incoming call in DND state

commit 24f54264d72faa73963f8762bd7559e8f99f4e95
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Dec 10 19:26:19 2016 +0100

    Fix: openReceiveChannel during DIALING indication

commit 9e07bd3a10883269c5390e891e814ed59966b516
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Dec 10 15:50:47 2016 +0100

    Fix: suppres clang warning about default argument promotion when using enum instead of int for a variable argument. Changed code to use int instead. Added comment about the actual expected type.

commit fe63f7f51ae63b37dfe82fd65f10152488c4a65a
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Dec 10 15:49:32 2016 +0100

    Fix: spelling mistake in comment

commit 74c3c3a24076b97ccb4a6ea89003971928badee0
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Dec 10 15:33:27 2016 +0100

    Fix: libxml2 / libxslt / libexslt detection

commit bc5b2ccd88c64db1d9016c4d2c6fd68362b2946e
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Dec 10 14:59:26 2016 +0100

    Enh: cleanup comments

commit bfaf6734486b42cc13f4150d9ee28f89575451ba
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Dec 10 14:59:03 2016 +0100

    Enh: global dnd declared Obsolete in favor of dndFeature

commit 93662fbcd7ded8eb9d1fa79e6eb062365e00a7ec
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Dec 10 14:58:21 2016 +0100

    Enh: Reduce debug output on socket close/error events

commit 2887ee66cfd67bf3cc632d616f3810ff5f0b68ad
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Dec 7 17:18:27 2016 +0100

    Enh/Fix: When loading the chan_sccp module fails we should unroll all loaded
    functions nicely and leave gracefully

commit 48b5523d04bdffecccdfc88fdd290f272ebbb1c9
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Dec 7 17:17:46 2016 +0100

    Enh: sccp_(un)register_cli should return success/failure

commit a89228108c07dd9792a1242639fe480b2105f706
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Dec 7 17:06:42 2016 +0100

    Fix: only use SO_REUSEPORT if it is defined on this platform (references #247).

commit 3aabf4a080fdb18382695452bd8ce7a2fd8522ff
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Dec 7 16:07:54 2016 +0100

    Fix: Phone keeps reregistering even when unloading and loading chan_sccp module
    Only asterisk restart gets the device out of this loop. It looks like this is related to
    setting SO_REUSEADDR, SO_REUSEPORT and SO_LINGER on the phone session socket.
    
    Fix: Move sccp_session_setsocketoptions to sccp_netsock_setoptions
    Enh: Add reuse and linger parameters to sccp_netsock_setoptions
    Fix: Use different socket options for:
     - listening socket(:2000) (reuse and linger (0 seconds)
     - connected client connections (no-reuse/no-linger)
    
    References #247

commit 3bf9a27918368a32e5a6f23eca8ef73345cd65fe
Merge: 3bbfd20 8a3a508
Author: Marcello Ceschia <marcello.ceschia@gmx.net>
Date:   Fri Dec 2 21:30:49 2016 +0100

    Merge pull request #353 from mkosmo/mkosmo-acinclude-spelling
    
    Fix spelling error in acinclude.m4

commit 8a3a5087e56ecf31e63300732fa276c2ea09c676
Author: Matthew J. Kosmoski <mkosmo@gmail.com>
Date:   Fri Dec 2 14:20:56 2016 -0600

    Fix spelling error in acinclude.m4

commit 3bbfd20f927ea0567d3bbcc54ba695dd6c81b92a
Merge: 6daa0e8 c2eee48
Author: Marcello Ceschia <marcello.ceschia@gmx.net>
Date:   Fri Dec 2 20:15:32 2016 +0100

    Merge pull request #352 from chan-sccp/issue/351
    
    fixes #351

commit 6daa0e8fe338297dd1c003199dc0ff2e74c725f0
Author: Marcello Ceschia <marcello.ceschia@gmx.net>
Date:   Fri Dec 2 17:00:49 2016 +0100

    update build status branch
    
    [skip ci]

commit b2fff3a85aaf521b1c3486d4e52b9edda259f406
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Dec 2 16:52:19 2016 +0100

    Fix: run automake to update Makefile.in

commit 5f490e03143c9867d61b735a870cfc8f059d7eff
Author: Marcello Ceschia <marcello.ceschia@gmx.net>
Date:   Fri Dec 2 16:47:50 2016 +0100

    remove sccp_xml

commit 36d03c147e12b2815bbed32dafd273ca7405207b
Author: Marcello Ceschia <marcello.ceschia@gmx.net>
Date:   Fri Dec 2 16:42:43 2016 +0100

    remove webservice

commit c2eee48ae71b71fcc0d14bf3c228dc9fd97cea35
Author: Marcello Ceschia <marcelloceschia@users.sourceforge.net>
Date:   Fri Dec 2 16:14:54 2016 +0100

    fix indent

commit 5bc288d1e2e886d5260925a0b3f7855296042084
Author: Marcello Ceschia <marcelloceschia@users.sourceforge.net>
Date:   Fri Dec 2 16:13:59 2016 +0100

    move decrementation for hold channel count to line

commit 4dc941d6061131f82dd90b78d44a550602b7093a
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Dec 2 16:00:38 2016 +0100

    Enh: update description of some of the button labels texts

commit 2322136db2cda45fcaadb4e97ad2b3d7a3e22150
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Dec 2 15:59:47 2016 +0100

    Fix: pbx_mutex_destroy(&removed->context) which should have been pbx_mutex_destroy(&removed->lock)

commit c1edd7e008d73ad1da17e4396588a1759c1b5906
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Dec 2 15:58:55 2016 +0100

    Fix: disable webdir config entry (for now)

commit 08f14f53d0ca79ddc186cd7c757e695a1d40ff3c
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Dec 2 15:58:11 2016 +0100

    Fix: bootstrap run to update configure and makefiles

commit d43c3327905c3efe530779a4b5a08df90e6a42eb
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Dec 2 15:56:43 2016 +0100

    Fix: reenabled libxml2 and libxslt detection in configure

commit 83694e402bbf97c3950ed17346d799ecdb672f4f
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Dec 2 15:55:06 2016 +0100

    Enh: split forward declarations into seperate file

commit 55a0dcd9e000892f1931587798ef84a892de5e05
Author: Marcello Ceschia <marcelloceschia@users.sourceforge.net>
Date:   Fri Dec 2 10:50:37 2016 +0100

    fix for issue #351

commit 12f96a943f21d4104f84a66f3329f26191b053ca
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Nov 29 16:34:45 2016 +0100

    Fix: synchronize sccp_wrapper_asterisk_createRtpInstance functions

commit 0073a2a481c4cc5677f51bea05ab7fbba0070518
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Nov 24 01:31:13 2016 +0100

    Fix: src/pbx_impl/ast114/Makefile.in required for asterisk14 compilation

commit 1c5c6229e8ac0ada52bc304076f8df4525bddd5b
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Nov 23 17:26:06 2016 +0100

    Fix Device preference allow you to specify a codec which it is not capable of
    
    Reduce the preferences of the device, line and channel by the capabilities after they are known :
     - after config loading
     - during handle_capabities
     - when creating a new channel
    
    Closes #348

commit 98797e39f4631795b0f6c54ac8937b350eef3844
Merge: 50ae54c 28a8901
Author: Marcello Ceschia <marcello.ceschia@gmx.net>
Date:   Tue Nov 22 22:45:48 2016 +0100

    Merge pull request #342 from chan-sccp/feature/support_ast14
    
    Feature/support ast14

commit 50ae54cb93c46eedda590b7dd2a0fa408161642b
Merge: 838dfec 65b20d6
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Nov 22 19:34:27 2016 +0100

    Merge branch 'develop' of github.com:chan-sccp/chan-sccp into develop

commit 838dfeccae34c05fd2e285d7fb88667c66d8966a
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Nov 22 19:33:21 2016 +0100

    Fix: 'Unsupported payload type received' continuesly
    
    It got zeroed out while trying to copy payloads into the rtp instance using ast_rtp_codecs_payloads_set_rtpmap_type_rate() -> Remarked out this copy function.
    
    Adding: ast_rtp_codecs_payloads_default(ast_rtp_instance_get_codecs(instance), instance);
    To make sure the basic set of asterisk codec rtp payload are available.
    
    Reinstated the previous method of adding payload mappings for cisco specific types like DTMF.
    
    Guess: This change is related to the switch to dynamic payloads in asterisk-10.
    Note: ast_rtp_codecs_payloads_default(ast_rtp_instance_get_codecs(instance), instance) does not exist for asterisk-13.
    Note: update required in #342 when pull request is merged
    
    closes #308

commit b369342c511a3b608b771c757e77d370846c18a7
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Nov 22 19:08:24 2016 +0100

    Enh: fix const correctness of skinny_codecs2pbx_codec_pref

commit 65b20d651d40ad1cfce470d872e02bed3294711b
Author: Marcello Ceschia <marcelloceschia@users.sourceforge.net>
Date:   Tue Nov 22 14:05:48 2016 +0100

    change ast_rtp_instance_update_source on AST_CONTROL_SRCUPDATE; add SKINNY_CODEC_WIDEBAND_256K mapping; fix codec channel function return

commit 969ccaa73be25656f571b62d43465a658f5fe656
Author: Marcello Ceschia <marcello.ceschia@gmx.net>
Date:   Tue Nov 22 13:55:02 2016 +0100

    fixes read format for forwaring channel

commit c7dae0838a2bbd8c9ffe2dfa3a7cf9c8d7978470
Merge: 2cdbec8 1ace932
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Nov 20 15:19:40 2016 +0100

    Merge branch 'develop' of github.com:chan-sccp/chan-sccp into develop

commit 2cdbec8fa7a457650d3f930ca76e05a887053ded
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Nov 20 15:15:37 2016 +0100

    Fix: directed pickup pickup press was intercepted on first try (reported by Viktu)
    Enh: Update debug output when second pickup button press is intercepted, to clarify reason for intercept
    Fix: Check for valid callgroup/pickupground before checking putton press interception, to show the related debug output in relation to the issue

commit 1ace9327fa2f2a94d0a21ab439b2555ae2e70d19
Merge: 9b17f11 0e64a1e
Author: Marcello Ceschia <marcello.ceschia@gmx.net>
Date:   Sun Nov 20 13:54:55 2016 +0100

    Merge pull request #345 from chan-sccp/issues/340
    
    Cleaner implementation of keypad_handler

commit 9b17f11eb62831e32585b98993559a0656741d6f
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Nov 20 13:44:04 2016 +0100

    Fix: Added setBackgroundImage/Ringtone support to 8945 / Removed setBackgroundImage/Ringtone support from 7960

commit 0e64a1ed56590d73e870b8c3afadb9ad8a01e483
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Nov 19 18:49:05 2016 +0100

    Cleaner implementation of keypad_handler
    Replaced if-then-tree with flat switch structure
    Added fallthrough when callid cannot be found on the current line (should not happen)
    
    References #340

commit 1f50206081a85e230ee4d3a4b54fcdae5b881d66
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Nov 19 16:19:36 2016 +0100

    When indicating CONNECTED or CONNECTEDCONFERENCE and openreceivechannel is not active, we should start it now.
    
    I don't see a need to check previousChannelState here, this was an old method to make sure openreceive was not
    started multiple times, ut the RTP_STATUS flag can do better.
    
    references #318

commit 942fcec3b71e5f8a93dec7853220b3c40ace61a5
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Nov 19 13:16:40 2016 +0100

    Fix conference moderator.
    
    During CONNECTEDCONFERENCE indication the previousChannelState check was missing a cause,
    causing the openReceiveChannel not to be (re)opened. Audio for the moderator was missing
    from the conference.
    
    closes #318

commit 46decc4cc018d72bc7b8126be8cf9e9d6ab4d5cc
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Nov 18 18:06:18 2016 +0100

    Bounds check during socket buffer processing (reported by coverity).

commit 41e564bfe86451316c76ff4b84a849d049e949ea
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Nov 18 18:05:04 2016 +0100

    Suppress clang analysis complaining about assining and integer to a char array.

commit 5e2913dbcdfa9bbac086ed92efa13b804f5a300e
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Nov 18 16:51:13 2016 +0100

    Fix locking issue during hangup, reported by pnlarsson (Fixes #341)

commit 6f7d24e7f16e72734e4b61e8a6fcd500185598de
Merge: e5d07f2 53a6529
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Nov 10 18:18:25 2016 +0100

    Merge branch 'issues/343' into develop

commit 53a6529bc526ceb7b7a915d324d147ea14141893
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Nov 10 18:16:13 2016 +0100

    Fix potential null pointer dereference in sendCallInfoV16 (references #343)

commit 80d9808d120c802ea8796242080a94142358f05a
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Nov 10 18:14:46 2016 +0100

    Fix memory leak when connecting ast_device_state_topic by not copying the device name buffer (references #343)

commit de61befdbcf74b0a5d1dbbbd3f345dd80c9b5318
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Nov 10 17:41:06 2016 +0100

    Fix sccp_config.c device shadow warning (references #343)

commit 28a89015462d38b77e80cf7a250493df99dab973
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Nov 9 18:49:20 2016 +0100

    Fix callid typedef for asterisk < 14

commit 51da4a62b36ad93c988842aec575fb5f828c5c56
Merge: bda8a37 1eef189
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Nov 9 18:11:27 2016 +0100

    Merge branch 'feature/support_ast14' of github.com:chan-sccp/chan-sccp into feature/support_ast14

commit bda8a3724b34221292688bbccce5b9a5294580d7
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Nov 9 18:01:37 2016 +0100

    Run tools/bootstrap.sh to generate new files for ast114 support

commit d324d02305b013dcf7ee8160662bb11c08aca76d
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Nov 9 18:00:16 2016 +0100

    Add support for asterisk 14
    Fixup configure to use AC_COMPILE_IFELSE instead of AC_TRY_COMPILE

commit e5d07f22308a55ffe4bb6f967d5d0c3247ad5f83
Merge: f53c1ad 7a9996b
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Nov 9 18:08:05 2016 +0100

    Merge branch 'master' of github.com:chan-sccp/chan-sccp into develop

commit 1eef189b450b7dc5e096f85c686e90a2b85820f0
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Nov 9 18:01:37 2016 +0100

    Run tools/bootstrap.sh to generate new files for ast114 support

commit c8ae9913248e567dd42d0394569c8f64671770b8
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Nov 9 18:00:16 2016 +0100

    Add support for asterisk 14
    Fixup configure to use AC_COMPILE_IFELSE instead of AC_TRY_COMPILE

commit f53c1ad212d933a2ecd446316f94cabc0793e063
Merge: 11eb22f 0498696
Author: Marcello Ceschia <marcello.ceschia@gmx.net>
Date:   Mon Oct 10 18:27:15 2016 +0200

    Merge pull request #337 from chan-sccp/issue/313
    
    fixes "The call Instance number in the callplane keeps incrementing w…

commit 0498696becec91619c65eee5c331d4353f5f197c
Author: Marcello Ceschia <marcelloceschia@users.sourceforge.net>
Date:   Mon Oct 10 18:15:50 2016 +0200

    fixes "The call Instance number in the callplane keeps incrementing when using transfer"

commit 11eb22f5eeb292aa45dffb46944f17ee2c991728
Author: Marcello Ceschia <marcello.ceschia@gmx.net>
Date:   Mon Oct 10 14:07:13 2016 +0200

    Issues/322 (#325)
    
    * Update ISSUE_TEMPLATE.md
    
    * Update ISSUE_TEMPLATE.md
    
    * test for 7910
    
    * minimal changeset from master, that fixes the issue on 7910
    
    see issue #322
    the problem ist, that the message header length is set with the known sccp structure size, which will cause an issue with 7910 where OffHookMessage has size of 8 but the message is only 4 byte long
    
    * indent
    
    * fixes message overrun
    
    and move header->length initialication to session_dissect_header
    
    * preparation for merge request
    
    * fixes build issue

commit ae9ae6227e794c7854e1ca5a719cce77f55b7950
Merge: 1e00778 962ef89
Author: Marcello Ceschia <marcelloceschia@users.sourceforge.net>
Date:   Mon Sep 19 18:14:06 2016 +0200

    Merge branch 'develop' of github.com:marcelloceschia/chan-sccp-b into develop

commit 1e00778e8265728ef14ed0319d9717d6269935d1
Author: Marcello Ceschia <marcelloceschia@users.sourceforge.net>
Date:   Mon Sep 19 18:13:32 2016 +0200

    fixes issue 330 (7975's not able to send DTMF after an incoming call)

commit 962ef894042c072f5cf4920df8d2f668dfb92aa4
Author: Marcello Ceschia <marcello.ceschia@gmx.net>
Date:   Thu Sep 8 16:09:48 2016 +0200

    add SPA51x device identifier; Thank you Nikola for supplying this patch (#332)

commit 46f48e94e8dcdc89c0e7002f10d2f2a7478d12d2
Author: Marcello Ceschia <marcello.ceschia@gmx.net>
Date:   Sat Aug 27 15:49:51 2016 +0200

    remove sccp_dump_msg(msg) within sendCallInfoV16

commit 2624c2f31d5d632c13eb1f950b990878b98e7b37
Author: Marcello Ceschia <marcello.ceschia@gmx.net>
Date:   Fri Aug 26 16:17:14 2016 +0200

    fixes issue that breaks support for receiving video frames from asterisk, see #328 (#329)

commit ee1f0d2db924366342086926ce42509edf3adefa
Author: Marcello Ceschia <marcello.ceschia@gmx.net>
Date:   Fri Aug 26 14:16:55 2016 +0200

    fixes 'caller name instead of called name in the list of placed calls' (#327)

commit f27e2be824deb7db557a6ef0981d9c8d3ec94ee2
Author: Marcello Ceschia <marcello.ceschia@gmx.net>
Date:   Sat Aug 20 11:40:32 2016 +0200

    WLANDefault.xml
    
    this file should be deployed encrypted to the tftp/http server

commit 575aa225aa9e419a9c2d2aaa9d1ed55983166d32
Author: Brian White <mscdex@mscdex.net>
Date:   Tue Jul 26 12:05:39 2016 -0400

    Fix: Allow build with --disable-realtime (#321)

commit 3cc74f5d3c2d03dd60d24181d43bc13e0bfebdc2
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed May 25 20:35:46 2016 +0200

    Fix: All phones are restarted when you add a new extension to sccp.conf and execute sccp reload
    
    Issue reported by Miguel
    
    Fixes #310

commit 8464a3394df99d54691035fd380c5020de5009f1
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed May 25 20:34:28 2016 +0200

    Fix: some sccp_log(...) line ends missing ';'

commit fba2d24db38366d412e9dcb57eb844d3af1925dc
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon May 23 15:23:05 2016 +0200

    Enh: Renamed .writeState to .receiveChannelState
    Enh: Renamed .readState to .mediaTransmissionState
    
    To Prevent an issue like a0814c691 in the future.

commit ef7f9957ed22e01f165f64915be4f58133ff7e81
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon May 23 15:11:52 2016 +0200

    Fix Session Timeout issue
    - Increase Keepalive additional timeout
    - Added Double Keepalive alive time when on a call
    - Reset keepalive before and after processing a message

commit dd6cd7bd99ef46d23b77058a77f98e75a06f218f
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon May 23 15:11:26 2016 +0200

    Enh: Make sure all RTP ports get/are closed during channel destruction and transfer_cancel

commit a0814c691bf48ce74474e99734c962394a5de7b2
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon May 23 15:04:55 2016 +0200

    Fix: reversal of RTP readState and writeState
    
    readState is related to the MediaTransmission Status
    writeStae is related to the OpenRecieveChannel Status
    
    Changeing the names, might make this a little less confusing.

commit 8c38d344504a1811785df2a331031651f8a919eb
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon May 23 12:10:52 2016 +0200

    Fix: prevent segfault in sccp_handle_time_date_req when we have lost the session and we are still processing a hangup event. Reported by Niklas.

commit fe4a0fcda4b90b995f33d872f149987c9b94ad58
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon May 23 05:00:15 2016 +0200

    Fix: CallerId / ConnectedLine information when using 'I' DIAL parameter
    
    Reverted change in sccp_device to set the called number information dusing dialing
    
    Caused issues when using FreePBX, which suppresses CONNECT_LINE update indications and set's the callerid and connected information before dialing.
    Issue reported by David Andrzejewski

commit 315d54f21eeca8bcda4b39c4075c8824cb3d24c9
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon May 23 02:11:23 2016 +0200

    Fix: Double CONNECTED_LINE update when calling out.
    
    Do not use iPbx.set_connected_line to update the connected line, from sccp_pbx_call. Which causes an unnecessary CONNECT_LINE update.
    Instead set the initial connected line information when the channel is request, which makes pushing an AST_CONTROL_CONNECTED_LINE event unnecessary.
    The Callerid information is now available from the moment the OUTBOUND channel is created.

commit f61ee349522378b8b4c3712e4c73e1062a71ca7c
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon May 23 02:10:57 2016 +0200

    Enh: Use SKINNY_CALLSECURITYSTATE_UNKNOWN instead of SKINNY_CALLSECURITYSTATE_NOTAUTHENTICATED when sending CallInfo.

commit da3bc71227d66db52fb0fc5e824ec892fba14667
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon May 23 02:10:20 2016 +0200

    Fix: remove updateing sendCallInfo during dialing.

commit e9b58564ac62a9106f37e3cb7905f74ca669ef2d
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon May 23 02:09:05 2016 +0200

    Enh: cleanup sccp_asterisk_connectedline

commit e50e28e3fc80ba5a6573824981dc40c5b0f9ef35
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon May 23 01:18:34 2016 +0200

    Fix: Places Calls issue when using firmware 9.4 (protocolversion 20+)
    
    - CallInfoDynamic Message construction
    - Set Orig_CallingParty, lastRedirectingParty on outbound call
    - Update Orig_CalledParty during CONNECTED_LINE Update
    
    Issue reported by drtmk: 'Missing names in suggestions when typing new number'
    Related to 6ce88d2

commit d195bc13a6f7d6d66612e37a3a0dafe46387de37
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun May 22 17:24:45 2016 +0200

    Fix: Switch on voicemail Lamp when there are calls in the parking lot
    
    Issue reported by James Farell
    
    Related #139

commit 18d0515a9b9bb33ddbb320b14bf85ac3b3c7bcc6
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun May 22 17:08:14 2016 +0200

    Fix: Previous commit caused no ring sound on the outbound call side
    
    Related Revisions:
    - e78251a
    - 1dfc06e
    - 01dbea1

commit 9e57c9aa02ccb6961ebbea6020d7aa36d79db65f
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun May 22 11:52:28 2016 +0200

    Enh: Added sccp_dev_setLamp when requesting/removing call forward. (CM)

commit 4f1c92b0944f29eba3265cfa926cbc24741ed63a
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun May 22 11:45:38 2016 +0200

    Enh: Renamed ForwardStat Fields. Included new value about lel_forwardActive field.

commit 9c9fa283247e5a79bd95b5380ddf055c46e750eb
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat May 21 23:40:35 2016 +0200

    Update: NEWS file to announce Visual Parking Lot Feature Button

commit 6848e6da97d6c739e51e637edb662ea686fd18d4
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat May 21 23:32:19 2016 +0200

    Fix: use locally defined version of the RAII macro, instead of the asterisk provided RAII_VAR version.

commit 272f6d59cbfffa0270e31bb87ceac23a14cb091c
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat May 21 22:48:41 2016 +0200

    Enh: made the visual parkinglot feature a standard part of chan-sccp
    
    See: https://github.com/chan-sccp/chan-sccp/wiki/Visual-Parking-Lot
    
    Closes #139

commit bf286fc5d791341a7012f31638798d5c90da36c5
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat May 21 22:27:07 2016 +0200

    Enh: Update ParkingLot feature status after device registration.
    
    References #139

commit 76228c62c016aa97e4068b5c0ade33b21d76ec00
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri May 20 22:51:12 2016 +0200

    Fix: Do not display 'call parked at XXX' on the statusbar when running in asterisk-12 and up
    
    Asterisk-12 and up return the 'parkext' instead of the 'parking_space', which is useless.
    
    Issue reported and denied to digium jira in https://issues.asterisk.org/jira/browse/ASTERISK-26029
    
    resolves 302

commit ac76eb932a56e5c69dd72788f6f2dd682a7295f6
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri May 20 17:51:33 2016 +0200

    Enh: Print out the message if we are not able to handle it, so that we can learn from it.

commit 3fb6042882ac3a8bf7e09c9114f7cd39989950e5
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri May 20 17:46:04 2016 +0200

    Fix: Inband/OutOfBand Ringing when not using simultaed Tones. Issue reported by Valerio.
    Fix: Suppress reindicating Dialing, causing issues in CalledParty Update

commit c38c0443c18e8f21fa0d2d3eef0b51c78296cd7f
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri May 20 16:24:28 2016 +0200

    Enh: Renamed sccp_pbx_answer to sccp_pbx_answered to clarify it's use in comparison to sccP-channel_answer.

commit b725c2c9d9ed40735dafb61386107f4f0b20c487
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu May 19 23:47:04 2016 +0200

    Enh: Added 'RetrieveSingle' option to Visual Parkinglot Feature.

commit 01dbea1fa89b459be97105541c77ac2fdbc028e2
Merge: 1dfc06e e78251a
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu May 19 19:22:27 2016 +0200

    Merge branch 'develop' of github.com:chan-sccp/chan-sccp into develop

commit 1dfc06e96b22fa94514a2f6e37b5efc1b82d2823
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu May 19 17:43:40 2016 +0200

    Enh: set asterisk callstate RINGING directly, instead of using queue_control. references #307.
    Enh: Stop media receive before media transmission (CM)
    Enh: Only send PortClose to newer devices.
    Fix: Send protocol version 0 for old messages instead of particular version.
    Fix: Update onhook indication, making it work for 7936 as well. Issue related to '7936 not able to do inband DTMF' reported by Mark Cianfaglione.

commit e78251a706ab2915d5b3bafbde4342b52c2e31c3
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu May 19 17:43:40 2016 +0200

    Enh: set asterisk callstate RINGING directly, instead of using queue_control. references #307.

commit 6ce88d2de7cd0c2a2c9172bc738e443cd1feacbc
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu May 19 15:06:51 2016 +0200

    Enh: Reorder channelstates in indicate, to follow a simple call order (offhook->dial->proceed->progress->connected->onhook).
    Fix: 796x / firmware 9.4 update placed calls. Issue reported by drtmk: 'Missing names in suggestions when typing new number'
     - When sending calledParty with length StationDynamicDirnumSize, which is 25, we need to force alignment=1.
     - We should send the protocol level we are actually using, instead of forcing protocolversion=17. Otherwise it causes issues in wireshark with alignment.
     - Reorder normal_dialing to follow CM order.
    Fix: Make sure we only start mediatransmission once. CM updates callinfo after starting media transmission.
    Enh: cleanup sccp_protocol.c
    Enh: sccp_indicate: Simplify getting innstance. Renamed instance to lineInstance.

commit e8a40a0e6d850e8bd46ecec2c72e17cb2d020dcf
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed May 18 15:40:51 2016 +0200

    Fix: 7936 not able to do inband DTMF. Issue reported by Mark Cianfaglione.

commit af666b3b13886b4665623d59720b974ea7114d40
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed May 18 11:36:58 2016 +0200

    Fix: clang compile warning

commit ba998c0516695e735777bdb75c0e50985dc59ad8
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue May 17 16:54:44 2016 +0200

    Enh: simplify locking in featureParkingLot by using RAII_VAR

commit fc811c7e62d81c43377d34d2c508d79a2e96560e
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue May 17 13:48:43 2016 +0200

    Fix: sccp_featureParkingLot unlock after returning from findCreateParkinglot, this fixes# 303
    Fix: ast113_park locking order. No need to keep the lock while we have a reference to the bridge_channel
    Fix: error message when parking has failed, no need to include the extension used to park.

commit ba0abc5a3565006274fb1c20e2cbadf632af908a
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun May 15 08:57:25 2016 +0200

    Fix: processing handle_device_to_user for visual parkinglot

commit 09291470344a851344240b712b1249a98bd0f520
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat May 14 17:50:28 2016 +0200

    Enh: Use IPPhoneMenu instead of IPPhoneDirectory for VisualParkingLot handling
    
    Fix: Visual parking lot menu comes back on screen after exiting and un-parking elsewhere
    fixes #300
    
    Fix: '#' not dialled to instantly un-park when retrieving single parked call
    New version does not depend on the device to do the dialing, we dial the parkinglot extension for the device instead.
    fixes #301

commit d2792113067e4448831f6f0ebc069e0a03cf7d86
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat May 14 17:50:21 2016 +0200

    Upd: Added 7936 register example message.

commit a1ae03c9a21d7be77ece7da58070c6b5a9b19b7b
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat May 14 11:36:11 2016 +0200

    Fix: handle_keypad_button for use with 7936, which only sends the digit on an active call
    
    Check message size, before retrieving the value.
    Issue reported by Mark Cianfaglione

commit 587648a515d2c968ef414637ef3244018137249e
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri May 13 13:29:30 2016 +0200

    Enh: Generate 'beep' (skinny_tone) on incoming call when DND silent is active on called device
    
    Setting dnd_tone to 0x32 will generate a single beep when there is a new incoming call, when '<<DND  silent>>' is active on the device.
    
    Added global parameter dnd_tone, default value = 0x0 (meaning disabled)
    Feature Requested by: Kevin Gagne (Modulis)

commit 6897007544644feaefd4bf0752881f9614b3a889
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri May 13 13:08:26 2016 +0200

    Fix: Visual ParkingLot compilation

commit 58845b8cfe57a06c46aadb6559d09b0eb5f61802
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri May 13 10:55:27 2016 +0200

    Enh: Visual ParkingLot
    
    Implemented following Visual Park Button handling:
    * If we have an active call -> pressing the park feature key, will park that call
    * If we are not on an active call:
       * If there is 0 parked calls: Display Status Message, "No parked calls'
       * If there is 1 parked call: Unpark that call immediatly
       * If there is more than 1 parked call: display the visual parking lot representation.
    
    Issue: #139

commit a971eee6336d14fd4ec4d8e3ee77056201295d87
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri May 13 09:47:26 2016 +0200

    Added headsetHandsetMonitor option to SEP0000000000.cnf.xml_annotated. Provided by Matt Hoskins.

commit ae4d27fc055ab7003e7acaa31d2820f7287eb945
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed May 11 14:52:52 2016 +0200

    Fix: transfer cancel
    
    - When hanging up the channel, only call sccp_channel_transfer_release once
    - Only release the transfer in progress when resuming the channel being transfered (transferee).

commit e26a34cf5b0b86a4bd9ec86079055f56ba655a9b
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed May 11 14:52:03 2016 +0200

    Enh: Extend OFFHOOKFEAT keyset to include resume

commit 63ecc424787856e4ee41369c967d76db20691a02
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed May 11 14:51:33 2016 +0200

    Fix: CLI sccp show channel output

commit 1eed65d9f8be4fa73edbc79c9760294080c86078
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed May 11 10:55:04 2016 +0200

    Fix: ExtensionDeviceCaps Message length

commit 57018e3577dbe5a7a6fa949ac277efa0a359fc59
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue May 10 12:44:26 2016 +0200

    Enh: Keep packet dump information together by generating only one debug message

commit 1e9e2fe233cf3b1c09b362866563576cab4144c0
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue May 10 10:37:24 2016 +0200

    Fix: sendDynamicDisplayNotify message and string padding.
    
    Issue reported by Simon Arlott.

commit e670e5db03891df94e27f9d6c0cebb3af904b61b
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon May 9 14:32:25 2016 +0200

    Fix: session recv can return 0 which should be handled correctly, without resetting device connection (1).

commit 4efe58ae27c9dbe6aef942dd0cf2538793f64eea
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon May 9 13:11:29 2016 +0200

    Fix: session recv can return 0 which should be handled correctly, without resetting device connection.

commit e4df3a591d74393f61261903d6ae283ac1dc3492
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon May 9 13:10:36 2016 +0200

    Enh: Slow down when token has already been sent

commit 515d263e6da95c984982f5b75fa0222c0d787cd0
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun May 8 13:53:54 2016 +0200

    Enh: Added result value when reporting session issue with message that we cannot process.

commit 64cf74da7c4f6845eb2bc59a8259ab1a8511f884
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun May 8 13:51:45 2016 +0200

    Enh: add '#' to the number in visual parkinglot, to force immediate dialing on older phones.
    
    So that we don't depend on simulated enbloc dialing. Issure reported by James Farell.
    references #139

commit b768c55cfedf7bd53e161502574fff12ff1ae943
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu May 5 14:57:12 2016 +0200

    Fix: sccp_refcount_refreplace (related to 63ed5e00)

commit 63ed5e007e1362f5f84483369d02db840e6eeb1f
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu May 5 13:43:09 2016 +0200

    Fix: do not use pbx_assert during normal excution when checking refcount pointers
    
    Using pbx_assert would cause a force asterisk crash. Instead we return a log message, slow execution and return NULL.

commit 5ecf1cbeb7ab388cde5164b7c482c1513a1684ed
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu May 5 13:37:25 2016 +0200

    Fix: sccp_device_check_update can be called with device = NULL,
    using that value to retain that pointer executes a pbx_assert
    which crashes asterisk as it is supposed to. We should be carefull to check the pointer before retaining it.
    
    Note: Need to lock the session when assigning / releasing devices, to prevent this issue.

commit 6f240912d293d15a356f9a256c28a95b0285b43a
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed May 4 16:55:53 2016 +0200

    Enh: Update debug output from sccp_channel_recalculate*Format
    Enh: Cleanup sccp_multiple_codecs2str debug output
    Enh: Renamed the functions contained in the sccp_codec files

commit f6eddf1a0796717b39d59aeb88dada500857f382
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed May 4 10:06:14 2016 +0200

    Fix: setting CHANNELSTATE_CONNECTED should be reentrant
    
    Issue: going from CONNECTED to CONNECTED (to update the callerid information) was not checking the rtp instance correctly,
    causing another call to openReceiveChannel, and the previous openReceiveChannel was not stopped or cleaned up causing
    the phone to run out of RTP ports. Reported by Miguel.
    
    Solution: fix the check before calling openReceiveChannel.
    
    related to: #297

commit 656e2fba5731ea1a437c6bfda42a96d58ae8cf60
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue May 3 13:35:58 2016 +0200

    Revert bd49e2e0b: Current caller name on speed dial line doesn’t update after call transfer
    
    Causes side effect, whereby rtp ports are opened twice and not closed correctly.
    Need to find a difference solution.
    
    Side effect Issue reported Miguel
    
    references #297

commit bd49e2e0b221eb8a10dfaf810a88dcb8d962a1da
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun May 1 19:45:10 2016 +0200

    Fix: Current caller name on speed dial line doesn’t update after call transfer
    
    Partial fix: recipient part of the transferred call get's fix using a forced
    sccp_indicate of the CONNECTED state. More work needed.
    
    references #297

commit a54a25690f4604cecfbcc307666689284cfa33ca
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun May 1 19:44:20 2016 +0200

    Enh: clarify hint processing

commit e4a3ed25a7312df79834db864121bad00d97f45f
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun May 1 19:43:35 2016 +0200

    Enh: Suppress debug output during removeTimingFD

commit ce188f1f100da630c89110c4fe1c08122426caaa
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun May 1 14:52:13 2016 +0200

    Fix: Blind transferring does not work while destination is still ringing
    
    fixes #294

commit e4528d7164f6eb85d9ca5d87706d5f7e0ac92de2
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun May 1 13:46:22 2016 +0200

    Fix: potential null pointer derefence

commit da3bfd4782fdeb2eab0d6e173d54b0457f13a567
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun May 1 13:45:44 2016 +0200

    Fix: tautological comparison warning (clang)

commit c7af03294e67a829d472b733bdd2e18a1db5bcf8
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun May 1 13:44:55 2016 +0200

    Fix: compile warning

commit 95d0648b2875b83933cc6c2b0d42351106f864e0
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun May 1 13:40:43 2016 +0200

    Fix: File Descriptor Leak after channel masqueration (transfer / cfwd / pickup)
    
    The TimerFD does not get moved/merged during fixup (masqueration).
    I could not find the actual cause for this in the asterisk sources.
    This patch does fix the issue if it does exist during channel cleanup though.
    
    Fixes #293

commit 9d9a70561d0892905d5b0588adbbcd604dcbf44e
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun May 1 13:40:17 2016 +0200

    Fix: make ChangeLog

commit c5e2ab22b4926e25bf97718e36cec71b41142f55
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun May 1 09:44:01 2016 +0200

    Enh: ChangeLog generation
    
    Removed SVN2CL, Subversion, HG Detection from configure
    Replaced Makefile.am ChangeLog generation

commit ed57bb30ba5beb8af9de53d3cc522d189e41beb6
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Apr 28 14:35:23 2016 +0200

    Enh: Revert added debug logging related to seesion issue
    
    Remove the backtrace added to session_destroy while dealing with the 'Rejected Transfer' Issue report by Valerio.
    Adding the backtrace did not reveal any new information.

commit 7a9996b5cf1db53ac717b867288b08df4c4149fd
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Wed Apr 27 15:35:21 2016 +0200

    Update ISSUE_TEMPLATE.md

commit bd03b79784c37c4e7d5172a91f11f667bea4b6f6
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Wed Apr 27 15:34:03 2016 +0200

    Update ISSUE_TEMPLATE.md

commit 7bc7e35d4650728479fd493703851cddc14c135d
Merge: 49476f6 5309e23
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Apr 27 15:12:55 2016 +0200

    Enh: Cleanup doc & doxygen
    Remove old Doxygen doc files (Replaced by WIKI)
    Update doxygen.cfg
    Update doxygen comments
    Fix: Doxygen warnings
    Fix: compilation

commit 49476f6fb944852461233cfbb354db62206dd112
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Apr 27 13:29:54 2016 +0200

    # This is a combination of 2 commits.
    # The first commit's message is:
    
    Enh: Cleanup doc & doxygen
    Remove old Doxygen doc files (Replaced by WIKI)
    Update doxygen.cfg
    Update doxygen comments
    Fix: Doxygen warnings
    Fix: compilation
    
    # This is the 2nd commit message:
    
    Update doxygen generation

commit 5309e232daa8d5e0433f376df7eee444ea3f7c4d
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Apr 27 14:54:59 2016 +0200

    Fix: compilation

commit ce5524a1acdbf344bb45384b318ff20754d27534
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Apr 27 14:52:49 2016 +0200

    Update doxygen generation

commit bdced95dec22d79e6ce61d20d292ef8a18486f45
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Apr 27 13:29:54 2016 +0200

    Enh: Cleanup doc & doxygen
    Remove old Doxygen doc files (Replaced by WIKI)
    Update doxygen.cfg
    Update doxygen comments
    Fix: Doxygen warnings

commit 7117a097a80588808d0b360def054c4dc1abbca7
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Apr 26 12:50:56 2016 +0200

    Fix: simulated enbloc dialing
    Noticed in one of the debug.log files from Valerio, that the time differnce between dialed digit and the remaining time resulted in a negative difference.
    That intern caused the variance and standard deviation calculation to be wrong (indicated nan = not a number).
    Cause: the channel->enbloc.digittimeout is presented in seconds not uSeconds.
    Solution: Multiplied channel->enbloc.digittimeout by 1000 to get uSecs.

commit d51732d3abda46e2d0968b740313ce9f80e9cb38
Merge: 5e50afe d5e3a32
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Apr 25 16:33:13 2016 +0200

    Merge branch 'develop' of github.com:chan-sccp/chan-sccp into develop

commit 5e50afe360dd0d3ce9b203b190786c128ab0e3dd
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Apr 25 16:10:44 2016 +0200

    Fix: revert sccp_session_findByIP addition to sccp_accept_connection
    Needs to be revised, because it was not taking NAT into account. Will do that in 'develop' branch.

commit e6a006131ba5501fcdbb9e3c0a9166f54ea0e385
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Sun Apr 24 19:20:29 2016 +0200

    Feature/visualpark
    
    Fixes Issue: #139
    
    Changes proposed by this Pull Request:
    
    Add support for showing a visual representation of the current parkinglot when it contains any parked calls
    Uses AMI Monitoring to update a local representation of the observed parkinglot
    Event is distributed to all observing phones when a new slot is occupied or released
    Deals with different AMI versions (having different event arguments)
    Tested against Asterisk-11 and Asterisk-13 by two users
    Currently only active in experimental mode (--enable-experimental)
    Usage:
    
    button = feature, parking, ParkingLot, default

commit d30738b5f816b930e9766061af53690ee1173a77
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Apr 25 15:17:52 2016 +0200

    Fix: 'sccp show devices' output for token (to fit the column width)
    Fix: 'sccp show devices' output for registration time (None instead of 1970)

commit 0f645ef1b81ba5d26eda6d6d281650ca52b6b3a5
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Apr 25 11:26:11 2016 +0200

    Fix: accessoryState display in 'sccp show device'
    Fix: sccp_enum.c generation
    References Issue #240

commit 58141cb54fc8eca20b2d97a4e220f9f4e3b63a1d
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Apr 24 12:49:18 2016 +0200

    Fix: make isPointerDead test 32bit compatible

commit 2c05741be0c2192912b350d9cf59b9edd96b13d1
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Sun Apr 24 01:53:35 2016 +0200

    Update ISSUE_TEMPLATE.md
    Create PULL_REQUEST_TEMPLATE.md
    Update README.md
    - Added Gitter Chat
    - Prebuild Binary Locations
    Update .travis.yml
    - only invoke coverity build on the master branch
    - Add webhook for gitter chat, so it receives travis build information
    Enh: Added config.cache to .gitignore

commit d5e3a32efd4a663f0c5724a7ad4a10b0ce5a42b5
Merge: cc3bebb 4b83ea0
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Apr 25 16:17:52 2016 +0200

    Merge branch 'master' of github.com:chan-sccp/chan-sccp into develop

commit cc3bebbfd7e010c89a431b1cc0f9ac20a572dcc1
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Apr 25 16:10:44 2016 +0200

    Fix: revert sccp_session_findByIP addition to sccp_accept_connection
    Needs to be revised, because it was not taking NAT into account. Will do that in 'develop' branch.

commit 4b83ea00e8dcf54b94a890607953b2f1e721a97a
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Apr 25 16:02:26 2016 +0200

    Fix: revert sccp_session_findByIP addition to sccp_accept_connection
    Needs to be revised, because it was not taking NAT into account. Will do that in 'develop' branch.

commit 48f38959f1390912747434ecde6d64ee80faea02
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Apr 25 15:27:14 2016 +0200

    Fix: featureParkingLot when compiled without experimental mode

commit 72bb33bc5459879b0605559b125c573ff2448946
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Apr 25 15:19:49 2016 +0200

    Enh: Added config.cache to .gitignore

commit 9a1766d33811c77205bd6d43d96fb4398871ef2c
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Apr 25 15:18:59 2016 +0200

    Fix: parkinglot module load missing iParkingLot interface.

commit 764817471fcfbb819b48b75d426cd21f401152cb
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Apr 25 15:17:52 2016 +0200

    Fix: 'sccp show devices' output for token (to fit the column width)
    Fix: 'sccp show devices' output for registration time (None instead of 1970)

commit fca640599acff4728687a43d8d2e742488a26afe
Merge: 5bafdfb 17e67ae
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Apr 25 12:01:09 2016 +0200

    Merge branch 'develop' of github.com:chan-sccp/chan-sccp into develop (rebase)
    
    Resolved conflicts#

commit 5bafdfbc2398b80c4a169996ac43b490b49f8438
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Sun Apr 24 19:20:29 2016 +0200

    Feature/visualpark
    
    Fixes Issue: #139
    
    Changes proposed by this Pull Request:
    
    Add support for showing a visual representation of the current parkinglot when it contains any parked calls
    Uses AMI Monitoring to update a local representation of the observed parkinglot
    Event is distributed to all observing phones when a new slot is occupied or released
    Deals with different AMI versions (having different event arguments)
    Tested against Asterisk-11 and Asterisk-13 by two users
    Currently only active in experimental mode (--enable-experimental)
    Usage:
    
    button = feature, parking, ParkingLot, default

commit 3c04e82c051095ec0137fe64e1229262fe829f99
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Apr 25 11:26:11 2016 +0200

    Fix: accessoryState display in 'sccp show device'
    Fix: sccp_enum.c generation
    References Issue #240

commit 17e67aec93ffd0cb392869778ccec2cc2251b04a
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Sun Apr 24 19:20:29 2016 +0200

    Feature/visualpark
    
    Fixes Issue: #139
    
    Changes proposed by this Pull Request:
    
    Add support for showing a visual representation of the current parkinglot when it contains any parked calls
    Uses AMI Monitoring to update a local representation of the observed parkinglot
    Event is distributed to all observing phones when a new slot is occupied or released
    Deals with different AMI versions (having different event arguments)
    Tested against Asterisk-11 and Asterisk-13 by two users
    Currently only active in experimental mode (--enable-experimental)
    Usage:
    
    button = feature, parking, ParkingLot, default

commit be98253f5d1054148174db38b922385a985d725a
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Apr 24 16:36:14 2016 +0200

    Update .travis.yml
    - only invoke coverity build on the master branch
    - Add webhook for gitter chat, so it receives travis build information

commit 2b4c05ad452527de153ecbe0bc7b5a3a6336fc55
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Apr 24 16:25:37 2016 +0200

    Update chat link in README

commit 9db330e15f96829cd34bfb7e56e0c82078e2a282
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Sun Apr 24 16:03:58 2016 +0200

    Update README.md
    
    - Added Gitter Chat
    - Prebuild Binary Locations

commit 25551b50db43cfed1d4c418e12ba15e4cecd0a91
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Apr 24 14:11:11 2016 +0200

    Disable coverity build on develop repository

commit 05cb460a84b4358a963574e0901747fd34de7bee
Merge: 03b4114 79d7102
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Apr 24 14:04:05 2016 +0200

    Merge branch 'master' into develop

commit 79d71025743e305821b73c23ce36806717966238
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Apr 24 12:49:18 2016 +0200

    Fix: make isPointerDead test 32bit compatible

commit 87690b5a5c8fe0acc948608eddc724ac397e72d2
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Sun Apr 24 01:57:34 2016 +0200

    Create PULL_REQUEST_TEMPLATE.md

commit 4676280353fde19b8cb8143ceae5f62ff9a3a374
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Sun Apr 24 01:53:35 2016 +0200

    Update ISSUE_TEMPLATE.md

commit 5b5d4634a902e3b97d9e24c2eb963d9c59b33297
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Sun Apr 24 01:40:54 2016 +0200

    Update ISSUE_TEMPLATE.md

commit dff01e9633be01cddc4d3e898880b50172964cc9
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Sun Apr 24 01:35:36 2016 +0200

    Update CONTRIBUTING.md

commit 7bca4fa712a4a97e45b6a4d24e73108f779df07c
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Sun Apr 24 01:35:21 2016 +0200

    Create ISSUE_TEMPLATE.md

commit 09bbd64412793db61ab0323d4bdd7024121e4090
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Sun Apr 24 01:32:23 2016 +0200

    Created a CONTRIBUTING guideline

commit 0d5e8d69a28ff4eeea350662521185e2d7f2d270
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Sun Apr 24 00:51:09 2016 +0200

    Update coverity project badge
    
    Update coverity project badge to point to newly created coverity project for this new repository

commit 5de165242cc4f7e0ba3fd1ed4c81ad1a820e2c70
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Sun Apr 24 00:40:40 2016 +0200

    Update .travis.yml

commit 6b1447d18cafa2b9878ab42d1262b5e37739bf07
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Sun Apr 24 00:37:46 2016 +0200

    Update .travis.yml

commit af287098beddfa83809967f6f0cf019356d8d4aa
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Sun Apr 24 00:27:05 2016 +0200

    Update coverity security for the new repository
    
    because of the name change of the repository

commit 778c3dba1a69fbdd4a46a11d4d920fd4f8d449f1
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Sun Apr 24 00:11:56 2016 +0200

    Update travis to include coverity scan build
    
    Update travis to include coverity scan build when running the gcc trusty build with asterisk-13 (which is allowed to fail, because coverity only allows a couple of builds per day.

commit 7eed5eb6f36b3bd8df76df3e9bb1cdba44b7d55c
Author: Diederik de Groot <ddegroot@talon.nl>
Date:   Sun Apr 24 00:07:25 2016 +0200

    Update WIKI Reference

commit 80c56b35b415e95cfc2622350dc03551b14f0842
Author: Marcello Ceschia <marcello.ceschia@gmx.net>
Date:   Sat Apr 23 20:14:56 2016 +0200

    update for Documentation link and Download

commit 46a5e8e74e5e5be47be3aa02304feb7a5a56e9cd
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Apr 23 19:28:09 2016 +0200

    README.md: Update travis-CI link

commit ac449024f2ff5e4df5ec1ca6083a46659681c55b
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Apr 23 19:26:08 2016 +0200

    README.md: Fix issue link

commit e20baa9f25a686bcf92650184c8ab56c2acaf376
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Apr 23 19:23:33 2016 +0200

    Update README.md to change the links from marcello's github to chan-sccp

commit 249ee28b9e2196e89e04eb3b342c3eda704eeda3
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Apr 23 14:41:14 2016 +0000

    Update readme.md.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6836 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 67aba7a8a9472ff2541b10f3e1d848a5f1b23d5a
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Apr 23 14:35:38 2016 +0000

    Update readme.md.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6835 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 3568679b3115f144d96a6d54f1318675a5187be4
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Apr 23 14:34:46 2016 +0000

    Update readme.md. Use direct link to paypal, instead of going through sourceforge redirect.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6834 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 9e566fd026d45cddc9b26d6717ff21a2f1aa44ee
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Apr 23 14:17:54 2016 +0000

    Update readme.md
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6833 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 03a860261b5dcd8d27d1f853bea567afb8af8fb0
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Apr 23 12:55:47 2016 +0000

    Fix: Remove coverity ondemand badge from README.md
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6832 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit eddd37bedade287b361cda8648ff8ceefce7dc8f
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Apr 23 12:44:28 2016 +0000

    Enh: GitHub issues shield should only count bugs
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6831 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 3f6b7ada2646187c395bfa38fd074bb8019d1f40
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Apr 23 11:50:18 2016 +0000

    Update: README.md github shields
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6830 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit db2b0f79321855fb5a4387cb206cb5b02e93d5da
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Apr 23 11:34:25 2016 +0000

    Fix: Coping with GCC-4.6 (an annoying compiler version)
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6829 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit eef1fb9c6a09bc0e3ffcd7f47181ff94e4e07b24
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Apr 23 10:53:45 2016 +0000

    Fix: autoconf/asterisk.m4 typo. Fix: autoconf/asterisk.m4 extension_state_cb_type detection.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6828 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit d98a557bcdfd5f3aa4fd6f6d92d8d9dee62a0dfe
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Apr 23 10:41:53 2016 +0000

    Fix: autoconf/asterisk.m4 typo
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6827 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 2cc69a7cab6fc87553bf64161d15377c72808a1e
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Apr 23 10:18:39 2016 +0000

    Fix: configure warning
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6826 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 315a104b7392c06b804cf3561fccd4c2f92f195a
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Apr 23 10:15:05 2016 +0000

    Fix: configure issue when using clang + -Werror during asterisk tests. Suppress set-but-unused-variable warning in configure tests.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6825 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 20f77d2b0699800e792696b9a65a04cf30213a4d
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Apr 23 00:41:45 2016 +0000

    Fix: Added autoconf/asterisk.m4 check to cope with asterisk-13 change in ast-extension_state_cb_type change. Update sccp_hint_devstate_cb definitino to cope with asterisk-13 change in ast_extension_state_cb_type change to use 'const char *' for context and exten. Enh: Make autoconf/asterisk header checks use -Werror so that they fail even on minor compilation issues, improving precise detection for example with pointer-incompatibily const/non-const.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6824 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 708d6ad67ae1c78ba35f0f30308bb4cf158102a8
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Apr 22 10:00:44 2016 +0000

    Fix: compile warning. Reported by Valerio.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6823 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 9dbead3c2631e593325a979c69c33144ba8bfd63
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Apr 22 01:47:49 2016 +0000

    Update: cnf.xml_797x_template to clarify g722 setting.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6822 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit f95c66312b816f3e78eb8e15635c696e6f4861e0
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Apr 22 01:31:41 2016 +0000

    Update: cnf.xml_797x_template to clarify g722 setting.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6821 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 041a63031de789e60dcc33dfbdf40ec73973911f
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Apr 22 01:26:33 2016 +0000

    Enh/Patch: Added line->description to CLI/AMI Output for SCCPShowLines. Patch provided by Jim Dossey.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6820 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 40aa7db53a1254e3391f3b32352442c9f4a166b6
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Apr 21 18:12:37 2016 +0000

    Enh: Session thread handling during device restart. Show backtrace when stopping session thread.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6819 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 03b4114af4d929da5ec45c4fa04f8ba8fd3d0702
Merge: eca001d 25142f6
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Apr 19 14:06:07 2016 +0200

    Merge branch 'master' into develop

commit 25142f6aa2b2dd815fe1a676cc532f4a17e4280d
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Apr 18 14:56:41 2016 +0000

    Fix: stuck PBX channel after using c->designator to build PBX channelName. Issue reported by Valerio.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6818 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit eca001d5cc822a46ba598f9f475cfe370e7bdd3f
Merge: f1703ab 1fe077c
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Apr 18 13:43:35 2016 +0200

    Merge branch 'master' into develop

commit 1fe077caeaa48429f9b616ef000ff7addd7ba45b
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Apr 18 11:38:08 2016 +0000

    Fix: potential NULL pointer dereference (minor)
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6817 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit f1703ab97d0326cfd97b234162ec39c7a32c4bbc
Merge: 169aaf8 de9a08a
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Apr 18 12:53:38 2016 +0200

    Merge branch 'master' into develop

commit de9a08adcf68abd8068e986b1bad7f1fafa69b22
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Apr 17 16:09:46 2016 +0000

    Fix: Prevent segfault when hint->callInfo is NULL in sccp_hint_devstate_cb.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6816 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit e91d4d05e863b648bf17ef26b65231afada1a00a
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Apr 16 13:13:29 2016 +0000

    Enh: Report calling function when executing sccp_dev_clean
    Fix: Cancel channels connected to this device in reverse order, when
    running sccp_dev_clean. Which will hangup channels being transfered in
    a more logical fashion
    
    (Linked to '[Chan-sccp-b-discussion] sccp-chan-b goes in limbo after rejected
    transfer)' by Valerio).
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6815 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 3f4a9a7bdff0175d0cbfd94c0aa1f47c0581c197
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Apr 16 13:11:09 2016 +0000

    Fix: compile error when using SCCP_LIST_TRAVERSE_BACKWARD_SAFE_BEGIN
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6814 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 372dd189d8f7d40e24e81a56df62d9179fb128ab
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Apr 16 13:10:11 2016 +0000

    Fix/Enh: Use channel->designator instead of line->name + channel->callid, so
    that we get uniform channel information everywhere
    
    (Linked to [Chan-sccp-b-discussion] sccp-chan-b goes in limbo after rejected
    transfer, by Valerio).
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6813 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 6c854937fdb41b621e78f65d6469aa0eb9c43091
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Apr 11 11:36:27 2016 +0000

    Fix: Removed transfer,cfwdall,idivert from the ringout keymode in the default softkeyset
    Pressing transfer during ringout does not make a lot of sense, and causes nasty side effects
    Issue: sccp-chan-b goes in limbo after rejected transfer, reported by Valerio
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6812 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 169aaf86e42ebcaf7f574bcd4b97b3dea91cbe49
Merge: 8852e3c b5a8100
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Apr 9 13:52:00 2016 +0200

    Merge branch 'master' into develop

commit b5a8100b40d6bbab4f5b74b24a0410c3a7e92a52
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Apr 8 14:27:14 2016 +0000

    Enh/Fix: Copy DeviceState Mapping from ast111 to the other asterisk version (CS_EXPERIMENTAL)
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6811 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 4d1556aff34bede012643ae77131b10d1083424e
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Apr 8 14:21:26 2016 +0000

    Fix: Enh/Fix: hint channelstate->extensionstate->devicestate mapping (CS_EXPERIMENTAL) for asterisk-11
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6810 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 5e74b098211f53ddda5cf0d6f0d100d2de92e0da
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Apr 8 13:16:42 2016 +0000

    Enh/Fix: hint channelstate->extensionstate->devicestate mapping (CS_EXPERIMENTAL)
    Fix: DND <<busy>> processing on FreePBX causing issues. Issue reported by Miguel ('[Chan-sccp-b-discussion] Dont Disturb issue (30-03-2016)').
    
    Note: Needs further testing with --enable-experimental-mode and change in ast111 need to be copied to other ast versions
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6809 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit fd8fc689eb91031c296f8ec9cd04dae9af397485
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Apr 7 12:56:06 2016 +0000

    Fix: pickup displayprompt + zipzip when onhook
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6808 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 627015975f15af98b98016972ca93f2bbaa8e41a
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Apr 7 12:42:16 2016 +0000

    Enh: move sccp_always_true / sccp_always_false functions to sccp_utils.c
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6807 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit b41378a6561dc4afba3750872dddab3ea68158e1
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Apr 7 12:31:10 2016 +0000

    Fix: moved isPickupAllowed / resetPickup and disallowPickup to sccp_line and attach it to the linedevice instead of the channel
    Fix: Adapt pickup/gpickup function to use the above function to disable the pickup/gpickup functionality after the first try on a channel
    Fix: Reset the PickupAllowed status during channel cleanup
    Fix: Clean DisplayPrompt during channel cleanup, to make sure any display error messages get cleared
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6806 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 656a8e4a9badb13d4e88bed50d74f5510c86b6da
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Apr 6 14:24:23 2016 +0000

    Enh: use sccp_message_priority_t when sending sccp_dev_displayprinotify, instead of 'arbitrary' value
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6805 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit d16906374292583786fe263a6786986654439a7a
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Apr 6 14:14:54 2016 +0000

    Fix: CallForwardAll + FreePBX. The calling party not to hear the ringout sound.
    Partial revert of a previous fix for the 'double callwaiting tone' issue. Issue reported by miguel
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6804 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit fcd7021a4bcabb9345537f4033dd80728ff21ae0
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Apr 6 10:32:48 2016 +0000

    Fix: Temporary fix to make sure the failed pickup displayprompt get's displayed to the user and not clearer during hangup. Issue needs futher investigation later, to make it possible to schedule a displayprompt with timeout, without being overhauled later on. Issue reported by Miguel.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6803 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 94867b1a7cb138bfaa80d97774fcee87f99750dd
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Tue Apr 5 14:07:14 2016 +0000

    Fix: clear displayprompt only when physically hanging up the receiver, instead of on onhook indication. Issue noticed when handling gpickup/pickup on offhook mode
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6802 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit e7626fcf1bed00b72eccb7baf451496a57c315e4
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Tue Apr 5 13:29:49 2016 +0000

    Fix: Prevent sccp_pbx_channel_allocate from being called when the channel already has a channel->owner. Assert (c->owner == NULL).
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6801 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 073a757b41d042c8978b81956b5acee577a7c685
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Tue Apr 5 13:28:37 2016 +0000

    Fix: typo in gpickup, hanging up channel twice.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6800 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 71633248943a6d08b7ba4b174b7d2952a06e2e0f
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Tue Apr 5 13:00:45 2016 +0000

    Fix: sccp_channel_getEmptyChannel: we created two pbx channels in offhook mode,
    instead of re-using the channel that was already available -> fixes hung
    channel. Issue reported by Miguel
    
    Fix: side effect of previous fix is that module unload also works.
    
    Fix: pickup/gpickup feature if no channel is available to pickup, we should
    hangup immediately and not schedule the hangup, to prevent re-entrancy
    problems, when the gpickup button is pressed again. Issue reported by
    Miguel,
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6799 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 8852e3c513a9fbe36f80015046f1716e5185b540
Merge: b662f9d ef8db4d
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Apr 3 14:56:40 2016 +0200

    Merge branch 'master' into develop

commit ef8db4d64e8272df02506fb2b6b952f57ee8e9d8
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Apr 3 12:55:50 2016 +0000

    Enh: Callinfo destructor should take a const pointer to a pointer to callinfo, so it can free and null the pointer, refering to it
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6798 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit fab06710b95f8525b6d077ed651d23349cbe5383
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Apr 3 12:45:20 2016 +0000

    Fix deadcode warning in sccp_channel_allocator (1)
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6797 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 57e14595155de51905a57b4c1d7bb03b364090b3
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Apr 3 12:44:41 2016 +0000

    Fix deadcode warning in sccp_channel_allocator
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6796 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit b662f9d5db9986b4a95be383f31907af8692078f
Merge: 99c4ab0 3f568d6
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Apr 3 14:12:40 2016 +0200

    Merge branch 'master' into develop

commit 3f568d6e8b5358f22686d795a0ddba1311f126db
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Apr 2 15:32:09 2016 +0000

    Fix: compile warning about unitialized private_data
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6795 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 100d333a539d91a6da3d62f4a9c2b8b3da434dcf
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Apr 2 13:50:07 2016 +0000

    Enh: channel->line is immutable during the channels existance, therefor
    channel->musicclass is immutable / constant
    channel->designator is immatbale / constant
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6794 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 4bde1ba26ae33624a4eeee93a262cf2dd38ff5c0
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Apr 2 13:20:24 2016 +0000

    Enh: revised sccp_channel_allocate
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6793 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 377481756960b671e48285f2fc6ccaf20725460d
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Apr 2 11:13:05 2016 +0000

    Fix: potential null dereference (c->callid) if channel was not found
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6792 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 99c4ab08e6a86dedf29d9f9e0bf591b1096b7f7c
Merge: d9ebae5 41d792d
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Apr 2 12:14:34 2016 +0200

    Merge branch 'master' into develop

commit 41d792dcb786eec2ae5258910f80f0b22447dde4
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Apr 1 11:11:52 2016 +0000

    Fix: faulty edit in ast108.c
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6791 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit e508826caefe80bde37ac5d1cf9150a223e564c3
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Apr 1 10:55:57 2016 +0000

    Fix compile warning about unused variable
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6790 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 74bf6892ec8d18edf229e9db92bc188f6fba35ba
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Apr 1 10:55:23 2016 +0000

    Fix: compile issue on asterisk-1.6 / asterisk-1.8 after last change
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6789 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 18549ed5e7350b0f93a00f692a897f2c109f58c2
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Apr 1 10:00:50 2016 +0000

    Fix pickup dead-lock issue when multiple phones are trying to pickup the same channel, reported by Miguel.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6788 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 6f8b8f1c8bcac27fc91fc1988067f957f5514f72
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Mar 27 22:25:11 2016 +0000

    Enh: fix indented output line in configure script about iconv library.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6787 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 6326d5662f6a5a5119ab7bdee09e1789fb2f9c82
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Mar 27 22:14:51 2016 +0000

    Fix: configure warning about RPMBUILD
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6786 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 3463768fc8636ac09b07e4418156b17e72dd3f5c
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Mar 27 22:14:16 2016 +0000

    Enh: make some of the channel variables constant, if they never have to change during the life-time of the channel.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6785 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 741a5a3c3f8b771f39b4ba1642ff3c793267f58d
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Mar 27 13:33:51 2016 +0000

    Enh: Renamed c->getDevice_retained to c->getDevice, following the standard
         rules of returning a retained device from a function, when returning a
         device.
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6784 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 77bc5de817b4c0ebf39aed894a7c5f18b266e148
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Mar 27 13:29:34 2016 +0000

    Enh: make c->callid, c->passthrupartyid and c->line constant during the lifetime of the channel
    Enh: Added c->linedevice, which get's updated when changeing the device assignment
    Enh: Added c->getLineDevice / sccp_channel_getLineDevice()
    Enh: Use c->getLineDevice
    Enh: Remove debug version of sccp_channel_getDevice_retained
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6783 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 2570379b30f003d18014166847a7e3c121acfd95
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Mar 26 12:48:23 2016 +0000

    Fix: starttone message, timeout should have been tone direction. Fix: Call Forwarding problem with a CISCO 7962 Phone, reported by Miguel Alberto Sanz Pardo.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6782 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 54f49d5d3600d4dcabc9851d96ae7a38de1dd65a
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Mar 25 18:53:53 2016 +0000

    Enh: reorder struct to reduce memory usage (pahole).
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6781 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 480ed40e03724d7dd3e18e98253cee94e5ee48b2
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Mar 25 18:53:07 2016 +0000

    Enh: always set the starttone timeout on tones which have a limited time span. Fix: Check if retain succeeded before callinf sccp_channel_endcall.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6780 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 2599bb788a073bf8c3003a7aa5ed296bb59a68df
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Mar 25 18:51:37 2016 +0000

    Enh: debug print more of the function name in for refcount debugging.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6779 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit f7d8860a065830a2ec4b427dedc9e985b0f94fc9
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Mar 25 18:50:41 2016 +0000

    Enh: always set the starttone timeout on tones which have a limited time span
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6778 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 999aae12171c2af089c6bd221b4637e70232f139
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Mar 25 18:45:11 2016 +0000

    Fix: sccp_channel refcount being off by one
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6777 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 74cf6feb874c53773c7a8b72f7c72333012126b7
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Mar 23 17:54:41 2016 +0000

    Fix: sccp_dev_build_buttontemplate 7931. Patch provided by Jim Dossey.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6776 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit c031292c292927e78710141c20c8b1e848fb2002
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Mar 23 17:18:16 2016 +0000

    Fix: potential null pointer dereference
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6775 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 359e8a21e47278f230487cc5dda42770d085b3c0
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Mar 23 17:07:09 2016 +0000

    Fix: potential null pointer dereference
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6774 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 11bd1eba1513e888b8a1e95f2457662f644e27ef
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Mar 23 17:04:39 2016 +0000

    Fix: null pointer dereference / faulty assertion
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6773 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 51ba1f16f2c377e2443208ed18d23ef6f0f64f43
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Mar 23 16:40:16 2016 +0000

    Fix: compile warning (ast1.8 / ast1.6.2)
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6772 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 89206d3090eb4de43394df9630390059c5b994c8
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Mar 23 16:34:54 2016 +0000

    Fix: sccp_wrapper_asterisk???_sched_del_ref, which should not have been using a const sccp_channel_t *. Issue reported by Miguel.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6771 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit e4a715ea9baab2700a6e87ec94e0757c4ac353a0
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Mar 23 16:29:20 2016 +0000

    Fix: remove some comments, fix compilation against asterisk-1.6.2 and asterisk-1.8 since changes in refcount system.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6770 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit cf34080ef2048ebffef3d91df47c73a9c1516ef5
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Mar 23 15:19:59 2016 +0000

    Fix: compile warnings. Reported by Jim Dossey
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6769 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 3754a1ce6a1b6d32ca30e89ef8e8239469fe75a2
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Mar 23 13:38:30 2016 +0000

    Fix: handle_stimulus_linx when resuming a call on a different line with the receiver offhook. Patch provided by Jim Dosey.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6768 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit f9b5d2a93c25d42c0f1cc8e46e798860372cbea5
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Mar 23 13:37:13 2016 +0000

    Fix: index 4 out of bounds for type sccp_accessorystate_t [4]
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6767 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit c2553b46c5ed98de6418f881fb7aa6b127494cc1
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Tue Mar 22 23:15:14 2016 +0000

    Move sanitizer flags to Makefile.inc.am
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6766 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit d0f3a57e0b345e350db9a9346eae3387b992c4f9
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Tue Mar 22 23:13:52 2016 +0000

    Enh: allow multiple sanitizers to be active
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6765 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit a288c7a1850f8341486639b865066f149261202c
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Tue Mar 22 23:13:01 2016 +0000

    Fix: sccp_mwi.c:647 left shift of 1 by 31 places cannot be represented in type 'int'
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6764 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 00cc063e52eee04f5f5ba17a7fe7eee7ff6605b7
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Tue Mar 22 23:11:52 2016 +0000

    Enh: change refcount table alignment
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6763 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 90023375bb8214c2f58fe1762e1d39775a03abf8
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Tue Mar 22 21:13:32 2016 +0000

    Fix: taking a channel reference before executing pickup/gpickup.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6762 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 61a4831e34aed470104d60aed7ccb6f8587fd3c7
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Tue Mar 22 15:05:58 2016 +0000

    Fix: Move compilation flag from src/Makefile.am to src/Makefile.inc.am
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6761 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 9c2efc40d323cdd7542a337e33c2a9be4aa53bfd
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Tue Mar 22 15:05:07 2016 +0000

    Fix ast_announce compilation
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6760 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 407c42da7f9cb04b38e1e3b338d7341b7f442df9
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Tue Mar 22 15:04:39 2016 +0000

    Enh: configure check for multiple gcc sanitizers being active
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6759 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 7b113737c95a4347b48cbd5296fb693108b82bfd
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Tue Mar 22 15:03:36 2016 +0000

    Enh: Remove unnecessary session lock
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6758 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit f697dda06d75e77e1feaf29a85811389e109bd57
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Tue Mar 22 15:01:52 2016 +0000

    Fix potential memory address overflow when scanning for ast_db entry
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6757 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 030f109663999334a0c50adc0edddc948d2e0de2
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Tue Mar 22 15:00:55 2016 +0000

    Use appropriate free, malloc and strdup calls
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6756 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 88ba17a7490df3fd0c61c2adfaec47eee7bc4a28
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Mar 21 11:42:56 2016 +0000

    Fix: simplify some of the lock taken / released in sccp_session.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6755 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 3e936e98fb8006415ca8f54837b4e69a5a4a4e38
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Mar 21 11:22:40 2016 +0000

    Fix: session accept thread was polling to often.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6754 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 15e96af89728cdf73ba5f38ab071f36310a8c26b
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Mar 21 10:04:42 2016 +0000

    Fix 'sccp reload' because the buttonparser changed 2 weeks ago, which was causing a full restart for all connected devices. Reported by Andy Bradford.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6753 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 508c9c18c43391e6c15b0305209a14908f8c79f5
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Mar 20 15:54:37 2016 +0000

    Fix spurious debug output
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6752 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit cd920e59337bc57e43d31b11b4cbeb9bd2e90cda
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Mar 20 15:54:19 2016 +0000

    Fix spurioud debug output
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6751 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit f76dc9dc611f4eb49fd18a0c787867cf22b6486d
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Mar 20 15:54:02 2016 +0000

    Fix: prevent new connections during module unload by stopping the accept thread early.
    Fix: module unloading not releasing accept thread or taking longer than necessary.
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6750 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 60a53afcdde352d0a8abfcdad21018585a3bb41a
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Mar 19 17:40:33 2016 +0000

    Fix: 'comparison of unsigned expression >= 0 is always true'
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6749 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit cf667a9965ac131348468a155e65d0dcc7142e93
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Mar 19 17:40:27 2016 +0000

    Fix: 'comparison of unsigned expression >= 0 is always true'
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6748 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 8a92cd01d5a5516792b750b309ab0dd58e47309f
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Mar 19 17:31:29 2016 +0000

    Enh: Increase number of warnings generated by compiler now that sccp_refcount is cleaned up a little
    Fix: duplicate decl-specified in sccp_debug
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6747 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 7dc9b692cb6f62c4c0e83cfed101d7d6da69aa73
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Mar 19 17:07:29 2016 +0000

    Revised: sccp_refcount_release to take a pointer to a pointer to the object  being release
    When it returns it will Nullify the pointer it received by reference, which
    means we can guarantee that the pointer owned by the caller is always null
    after it has been release. No more need for this awkward 'data = sccp_refcount_release(data)'
    call, instead this can be just 'sccp_refcount_release(&data)'
    Revised: sccp_refcount_refreplace in the same manner.
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6746 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit d62fc998aa41f22662165feb47f82e05514eea65
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Mar 18 22:37:41 2016 +0000

    Fix: Include AX_CHECK_LINK_FLAG and AX_APPEND_LINK_FLAGS m4 macro's
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6745 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 2e8bb89441ab5a9dabae2f59beac4e2f51579fe8
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Mar 18 21:32:41 2016 +0000

    Use SUPPORTED_CFLAGS and SUPPORTED_LDFLAGS in Makefile.inc.am
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6744 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 8a0c384202ec39fd9d1576cf93d0c7450f621034
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Mar 18 21:20:16 2016 +0000

    Fix: contional compile without realtime and devstate
    Enh: Disable section relocation for now.
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6743 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 23832589e82708b41ae5d9f40d18396e18c8e0ab
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Mar 18 20:55:46 2016 +0000

    Fix: cleanup / reindent m4 macros
    Fix: enable section relocation by default, except for apple/darwin
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6742 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 242e534b3a5a1fce17a59a3ef00183a7a630e695
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Mar 18 19:39:06 2016 +0000

    Fix: cleaned up configure output
    Enh: Added --enable-strip as a configure option (off by default). When
         enabled it will strip the chan_sccp.so binary but leave a copy of the debug
         symbols in the .debug directory for gdb to use
    Enh: Enable using compiler section relocation by default (added --disable-section-relocation
         configure flag to negate this). Using section-relocation results in substantial size reduction
         of the generated chan_sccp.so library
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6741 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 20c018f472117fb3c829679114c7297c0deac2e5
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Mar 18 03:08:12 2016 +0000

    Enh: flush resolved ip-address after 'sccp reload' to make sure we are getting to the new ipaddress if the fqdn changed
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6740 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit fab8b378387d6344715f43cf744fc0f2de6bf035
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Mar 18 02:55:27 2016 +0000

    Enh: Reinstate externhost and externrefresh
    Enh: Added externhost information to 'sccp show global'
    Fix: sccp_netsock_getExternalAddr / __netsock_resolve_first_af
    Enh: caching both ipv4 and ipv6 resolve ip-addresses if running in dual mode
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6739 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 0ead6ef883a20ae922a8bf9bf2b81143aae0adc1
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Mar 17 23:58:02 2016 +0000

    Fix: updateNatRemotePhone simplification / revert 6736
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6738 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 7b33cf35f73ab75158b6e7065a259f86cb242576
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Mar 17 23:24:32 2016 +0000

    Enh: implemented resolving externhost
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6737 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit e020edbafe5ce912f6a9eee8b951c85af15cd7a5
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Mar 17 23:24:04 2016 +0000

    Fix rtp connection through NAT when externip is to be used
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6736 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit a1ee3001e7a8ea02367425e5b8ff9e68895d5b13
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Mar 17 04:04:08 2016 +0000

    Fix: upload sccp_codec.c
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6735 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 64566f5c6e56147637e849361251fd3f515fc430
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Mar 17 03:32:54 2016 +0000

    Enh: One more static array to be moved and declared extern
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6734 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 6511fbd74ec77ef128f2d0bfb8125ab1b4196481
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Mar 17 03:18:35 2016 +0000

    Moved static tables from header files to source files to reduce binary size (because static arrays in include files get duplicated).
    Moved skinny_codec related functions from sccp_utils.c to sccp_codec.c
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6733 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 6029a5c7086c859a6c75da00cb0c6c95ecbd1aea
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Mar 17 02:29:51 2016 +0000

    Remove UnknownVG message which was only added to research and falsely declared 'new message'
    This Reduces the size of the chan_sccp.so by as much as 2 MB because the message arrays had to be expanded to incorporate this message as 0xff00.
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6732 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit d71e4669ceb04c5168bb1678aa7a7032155fd3d5
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Mar 17 02:27:10 2016 +0000

    Remove static test object taking up memory and space. Replaced by malloc/free.
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6731 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 369f7e4a93ec5b7f03b4243b1511bf2f02e01b7e
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Mar 16 16:16:38 2016 +0000

    Enh: clarify rtp out during a call with nat translation.
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6730 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit d9ebae526618ef4219a57f7dc90e2976d6155506
Merge: 50c626d 34ae772
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Mar 12 15:19:13 2016 +0100

    Merge branch 'master' into develop

commit 34ae772650de8afb8def157bf8b8eaf5e3049fe6
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Mar 11 12:46:45 2016 +0000

    Enh: extended line button subscriptionId definition to support
    button = line, <line>[@(|+|=)cid_num[,cid_name][#label][!options]
    
    button = line,98099@+12:Phone2#ButtonLabel!silent       ; append cidnum:'12' and cidname:'Phone2' to line-cid with label 'ButtonLabel', don't ring when dialed directly
    button = line,98099@=12:Phone2!silent                   ; overwrite line-cid instead of appending to line-cid (solves the first party of the issue reported by Jeffrey)
    button = line,98099@12:Phone2@ButtonLabel!silent        ; same as the previous line  (backward compatibility)
    
    IssueMail: 'BLF and shared lines questions'
    Reported by: Jeffrey Otterson
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6729 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 208932ac39ae6b5018bd059e06074a84491c1a3e
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Mar 5 12:43:42 2016 +0000

    Revert previous commit
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6727 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 3556825e668950ef3da80259e380dd1ee068dc7e
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Mar 5 12:37:48 2016 +0000

    Fix: compilation without iconv support
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6726 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 0086c9f70ba4e315a2d042aeb7e9778511147613
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Mar 5 12:37:07 2016 +0000

    Added list of potential candidates for SKINNY_PHONE_FEATURES_ bits
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6725 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 66953fd03b1caad13b1d419d50e9d51d65305098
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Feb 29 11:01:43 2016 +0000

    Fix: gen_sccpconf compilation
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6724 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 9bb0265babc4cf5e2f5c3feb8c885b322e498935
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Feb 29 11:01:20 2016 +0000

    Fix: Remove use of sccp_dev_cleardisplay / ClearDisplay SCCP-MSG, which does not seem to be supported on most sccp phones, causing errors in the phone log, has been replaced with clearprompt message instead.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6723 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 50c626d0dcd5df2e22f49ea34e12df9f613ec5d8
Merge: c86f848 259816d
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 28 16:54:19 2016 +0100

    Merge branch 'master' into develop

commit 259816d6da94c46740c97a3e9124fc1477f268c9
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Feb 28 15:44:22 2016 +0000

    Include advanced-features when compiling for debian
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6722 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 7b48ca08a5b0d9baa459e2d6263827c1a39babcd
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Feb 28 15:16:08 2016 +0000

    Fix: configure.ac remnants (again)
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6716 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit cf3ff82578ffcc41ab03178d82a2b057ba294f4c
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Feb 28 14:49:40 2016 +0000

    Fixup svn:ignore
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6711 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 0090ac762284993e5160c2677b16ff823dec5ece
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Feb 28 14:32:38 2016 +0000

    Fixup: src/pbx_impl/ast112/ast112.c
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6708 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 3015a7188794b3ee1a11a14ec6029575d12c8e42
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Feb 28 14:28:28 2016 +0000

    Enh: Enable requesting rtp openreceive from phone when we get a PROD request from the other channel side.
    'Prodding' indicates that the other party is willing and able to process inband rtp from this moment forth.
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6707 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 3ced77115efec2549001d19cb3e989cfb5911b33
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Feb 28 14:16:46 2016 +0000

    Fix: Remove WITHREF / GETWITHREF example in sccp_channel.c
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6706 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 79d01d4254d016d2ba4819056a52ab516d54f1db
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Feb 28 14:09:59 2016 +0000

    Fix: conf????? remnant directory left behind after running configure
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6705 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit be423aaeb70b87907788cc4dd37ecda354bdb058
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Feb 27 23:10:37 2016 +0000

    Enh: fix double call waiting tone (out of band and inband), by signaling the remote side that we are able to receive inband from this moment forth (using a so called channel PROD). Issue originally reported by Anatoli. Tested and Checked by Anatoli and Pavel.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6704 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit c86f8488ae7b24d98e974ec18d55b165891e4304
Merge: b752226 c9d7772
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sat Feb 27 22:48:20 2016 +0100

    Merge branch 'master' into develop

commit c9d7772343a548914d6a46d1e2c9e3c87b33b5ce
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Feb 27 21:47:24 2016 +0000

    Fix: sccp_rtp_updateNatRemotePhone to support NAT for both ipv4 and ipv6. Deadcode issue reported by Coverity. Issue reported by Dan Huynh.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6703 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit a9721872584960cc2442dbe8b2f2a4f1fce0849b
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Feb 27 00:33:06 2016 +0000

    Fix: providing a sensible default value for general:disallow/allow, being ulaw/alaw, which should be available on any phone and pbx. Issue reported by Jeffrey.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6702 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit b752226d677da17c503a5ba653ab2189baa617b5
Merge: 605990e 4551e8e
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 26 21:12:16 2016 +0100

    Merge branch 'master' into develop

commit 4551e8eff6e5dab9756ad27404d0b097aee611e8
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Feb 26 18:22:44 2016 +0000

    Revert changes in logic to sccp_rtp_updateNatRemotePhone. NAT Issue reported by Dan Huynh
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6701 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit d3b8d6544b9f2d9e64e8bb3f0f525aa341114000
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Feb 26 12:39:29 2016 +0000

    Fix: sccp_dev_build_buttontemplate for 7931. Issue reported by Riten Jaiswal
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6700 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 605990e27c94665f7e6b53359d09255c22a771db
Merge: 21b96db 993d769
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 25 14:26:08 2016 +0100

    Merge branch 'master' into develop

commit 993d7696d749e1250fde992dcc1831c0b95ca93f
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Feb 25 12:29:16 2016 +0000

    Fix fallback atomic macro
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6699 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 649984618263dca549dfc3cde8a0f645895cd7c0
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Feb 25 10:27:00 2016 +0000

    Re-Fix memory leak in vector make_room function. Reported by hhornung
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6694 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 21b96db289e3c43c1fb82f2c8222150ec441cac2
Merge: 2fcbaf3 015db6c
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 25 02:21:34 2016 +0100

    Merge branch 'master' into develop

commit 015db6cba2c6718fa804718fb0cff57eec61b9e9
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Feb 25 01:21:14 2016 +0000

    Revert __strcpy back to sccp_copy_string
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6693 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 2fcbaf3f8b7c35cc4642019a9034484e5785dbad
Merge: ffc8926 da0a06f
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 25 01:54:35 2016 +0100

    Merge branch 'master' into develop

commit da0a06f10258c70187d67550bf86c0bac4be088c
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Feb 25 00:53:51 2016 +0000

    Use __strcpy in this case
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6692 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit ffc89268312c2b9c6ea970e5bc3249dac0aa8197
Merge: adc987e 5522ec4
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 25 00:42:24 2016 +0100

    Merge branch 'master' into develop

commit 5522ec475cfd486b2e683a6087e5f4f3bb1dbea7
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Feb 24 23:41:56 2016 +0000

    Fix: check for null pointer dereference.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6691 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit cf7a1fb0be6a158f1a85eedcf1a9392a48d4b289
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Feb 24 23:37:27 2016 +0000

    Enh: suppress coverity warning, by not using pointer arithmatic when copying from incoming session buffer.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6690 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 0e61b1603f5cd690fa755f4af4a9c1b95307e0a3
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Feb 24 23:27:17 2016 +0000

    Improved define of dangerous string functions by aborting compilation.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6689 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit adc987eb4be24cde374494b1098c5bd2aeb35301
Merge: 8554cfc 4d3f1bb
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Feb 24 23:56:51 2016 +0100

    Merge branch 'master' into develop

commit 4d3f1bbfff51ffb29088cf1922e45869228a4d65
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Feb 24 22:56:18 2016 +0000

    Fix: message dissection for spcp refering to wrong table.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6688 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 8554cfc5e4257a6df9ddd56f5ccaea6eb2fd47a6
Merge: bf6a7bc d1553f0
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Feb 24 20:40:35 2016 +0100

    Merge branch 'master' into develop

commit d1553f03883e448068681a5c52ce36e65c180866
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Feb 24 19:38:53 2016 +0000

    Fix: compiler warning.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6687 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit bf6a7bc8091fcb29ce95e832ca7ff54b2e720a86
Merge: ef7fc45 7682dd8
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Feb 24 20:33:06 2016 +0100

    Merge branch 'master' into develop

commit 7682dd8afff66bf06322533f4f0d0868abb7fc30
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Feb 24 19:32:23 2016 +0000

    Fix:memory leak.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6686 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 2038e30be4b1aff37bd23fdbe3b352e51c87c00b
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Feb 24 19:30:36 2016 +0000

    Fix: potential memory leak (pretty unlikely, but ok).
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6685 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 356ce770c66e29fab4e42135d406165db315688e
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Feb 24 19:21:04 2016 +0000

    Fix: buffer overrun/bounds when printing 'parked at'
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6684 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 536812bcdecdd81ee6715a8fb5d885c2aa99692a
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Feb 24 19:02:29 2016 +0000

    Fix: null pointer check before using line
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6683 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 1662cfb8fe32f129fea373ed41b19001cd314438
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Feb 24 18:58:18 2016 +0000

    Fix: null pointer check before use
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6682 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 93914fdddd6b0c181ae533528263351fa5fb4545
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Feb 24 18:57:58 2016 +0000

    Fix: null pointer check before use
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6681 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 9ffd42c546bfeb2a91110f4158546f4fe761d544
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Feb 24 18:57:08 2016 +0000

    Fix: Message Size bounds check. Fix: check recv_len before using result to prevent passing on tainted buffer.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6680 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit b0117ece15e7f847bf29df2437874e33714dddcf
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Feb 24 18:56:14 2016 +0000

    Fix: mid bounds check
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6679 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 0a88cbc6f14100e50816268d4af60279a58245d2
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Feb 24 18:27:22 2016 +0000

    Fix: compiler warning about redefinition
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6678 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit ef7fc45b54e0a7fc10293ab75210b950961d07b4
Merge: e2e4a8d e37c2bb
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Feb 24 17:46:26 2016 +0100

    Merge branch 'master' into develop

commit e37c2bb8ba45d60f378f3dc73b9d4e5af3d0ef52
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Feb 24 10:48:20 2016 +0000

    Fixes: __use_snprintf_instead_of_sprintf__ report by Dan Huynh
    Revert: #6676
    Commit PR:#288 (by Marcello)
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6677 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit ab9b2db0f42044fb376df16631448d697ca8d5f0
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Feb 24 10:28:41 2016 +0000

    Fix: Disabled __use_snprintf_instead_of_sprintf__ for now. Report by Dan Huynh
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6676 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 05b6c30af61ccdc96279cb0948281b4711d39e71
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Tue Feb 23 13:44:03 2016 +0000

    Enh: extend hint updates to match complex aggregated hints, and continue updating after the first match, there might be multiple hints that match our line.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6675 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 73ba68ed19b4ffc2719f0cbf49706091dbf678ea
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Tue Feb 23 13:31:04 2016 +0000

    Enh: debug category callinfo added
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6674 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 0f5212c689a9a0499ad4f36e385b59c34588a1a5
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Tue Feb 23 12:12:12 2016 +0000

    Enh: Update svn:ignore. Fix: gen_sccp_enum unused return value of snprintf.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6673 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 3c4412f9a6a15e6f963054dcebe302c8fafb33e6
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Tue Feb 23 12:06:16 2016 +0000

    Enh: Update svn:ignore. Enh: Extend list of unsafe string functions
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6672 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit b458abfb445579b8a6574b0773bfed5d3004470f
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Feb 22 14:08:26 2016 +0000

    Enh: use Redial Menu has become a standard feature, which does not require '--enable-advanced-features' any more.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6671 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 22d3a6711a26d72d4ade99ed9dc43656297537ff
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Feb 22 14:07:29 2016 +0000

    Enh: removed experimental mode from setting devstate_hint_dialplan.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6670 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 65e04012746fa14b784ba2e06019c1d6050eebe9
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Feb 22 13:01:02 2016 +0000

    Fix: comma insertion when returning multiple values from dialplan functions.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6669 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 69ab2510efbc8a6bd2bbaac1230e08a2577faa68
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Feb 22 13:00:04 2016 +0000

    Enh: Enabled some extra debugging in sccp_mwi. to figure out the event flow.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6668 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 3cc2afaac3023711e109b0bb285d1a7b0c675def
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Feb 21 23:12:34 2016 +0000

    Enh/Fix: Only close rtpPorts if requested to do so (KeepPortOpen = FALSE)
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6667 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit fb15a4c72e55d574f06589d859f7030203a85475
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Feb 21 22:10:01 2016 +0000

    Enh: Finished Removal of __BEGIN_EXTERN__ in favour __BEGIN_C_EXTERN__
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6666 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 7021b679399c91da29c7cbab08b9af6bf5ba3b5b
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Feb 21 21:29:34 2016 +0000

    Future Fix: make sure rtp is active when receiving CONNECTED_LINE and PROD event. Proding happens when the remote side has started sending/receiving rtp, which would require our side to participate as well. Currently this new code is only active when compiled with --enable-experimental-mode. BugReports: #264/#265/#271
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6665 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit a782ff311056b1e3f22dd977d8acdf8234f89538
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Feb 20 14:11:27 2016 +0000

    Complete transition to using __BEGIN_C_EXTERN__. Complete transition of setting SCCP_API and SCCP_CALL in all header files.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6664 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit e7ab5a8ee9ab7a69d937d473d5db86f0c1f5cbdc
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Feb 20 14:10:57 2016 +0000

    Complete transition to using __BEGIN_C_EXTERN__. Complete transition of setting SCCP_API and SCCP_CALL in all header files.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6663 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 166c0e34914f03a6cbb7fbe156ebe99abf86777c
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Feb 20 12:53:29 2016 +0000

    Fix README's
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6662 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 3758a9bfd141f03e892b15c6f409b1a4c446ec73
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Feb 20 12:51:25 2016 +0000

    Enh: Update generation of BUILD_USER
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6661 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit f3f246c0a6464ae99e7185fca7272b4ae9aa0ab2
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Feb 20 12:27:00 2016 +0000

    Fix snprintf SCCP_VERSIONSTR. Reported by hhornung
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6660 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 2d2509c2b8ff1ee84389fe13b919e4dafc3e0796
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Feb 20 00:01:01 2016 +0000

    Fix: assertion
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6659 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 095a466f515c1e3978b9a5309329eb427882a6e3
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Feb 19 22:35:10 2016 +0000

    Enh: Change parseComposedId parsing and returning results by ref. First step before changing the SubscriptionId / Suffix and Callerid issue reported by Jeffrey Otterson.
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6658 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 5d6b5dbad54bce1367252cdd64c6bcf942eea68e
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Feb 19 18:13:18 2016 +0000

    Update: README and README.md files
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6657 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit ba8998ec53589e33ad0a8076aa0c3c8926663a52
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Feb 19 18:01:33 2016 +0000

    Enh: Implement safer version of atoi, called sccp_atoi
    Enh: Use safer equivalents for strcat, sprintf, strcpy and atoi
    Enh: Prevent future use of strcat, sprintf, strcpy and atoi
    Update: NEWS / README / README.md files
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6656 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit e2e4a8dd31cb2f81185c908ca4a830d9ecac179c
Merge: 97e4041 fd3326c
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 19 00:44:32 2016 +0100

    Merge branch 'master' into develop

commit fd3326cfde6d42cb93abf3551b1af23fd78b8c36
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Feb 18 23:43:41 2016 +0000

    Fix: pbx_assert
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6655 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 97e4041723b437eda2f4879dfce20be6d9c2d444
Merge: 8a990dc bd4227c
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 18 23:16:51 2016 +0100

    Merge branch 'master' into develop

commit bd4227c07dc9344b3a55440345de36db5a9a962f
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Feb 18 16:53:59 2016 +0000

    Enh: Use abs_builddir instead of .
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6654 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit ee3123ceb415603d55cfdcd34ae9c092e1e61ea9
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Feb 18 16:53:38 2016 +0000

    Update SCANBUILD Defined for use with clang-check
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6653 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit fc94ebac5778db2286f8e9cc83eb179e79f29f5e
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Feb 18 16:53:08 2016 +0000

    Enh: Remove never read variable setting
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6652 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 6b1a7b19cef777e15f8f9610750e6cbb58d09097
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Feb 18 16:52:35 2016 +0000

    Enh: use assertions instead of null pointer checks for function paramater known to always exist. Assertions can be compiled away, if wanted, but allow compiler to know what should be there.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6651 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 062fe4bef2f1b2439803b7703050aab0388425c2
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Feb 18 11:46:53 2016 +0000

    Enh: set default PBX_ETC folder to /etc/asterisk
    Enh: cleanup PBX search path by removing trailing slash from path (if provided)
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6649 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit b4473da3c900c73a088b23e276cf074b56d17481
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Feb 18 01:39:38 2016 +0000

    Fix: BSD Compilation (double define)
    Fix: BSD Linking (Linked does not know how to handle '-ldl')
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6647 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 2a789703221f2a20e0506da1db220410c650cee0
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Feb 18 01:18:33 2016 +0000

    Fix: backup swap functions if not provided by native functions (Like FreeBSD)
    Fix: make SED function calls in configure.ac POSIX compliant (BSD compatibily)
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6644 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 7517973667b58b17add0804176585b3eebccb10a
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Wed Feb 17 12:07:15 2016 +0000

    Fix: compile warning about unused function return value in sccp_channel.c
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6640 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit cb9ee56e65c32c77128d164b5be9447d8b01be2e
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Feb 15 23:29:14 2016 +0000

    Use SCCP_MAX_EXTENSION instead of AST_MAX_EXTENSION
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6630 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit e660e92e2ad64ba83c5933e63b8a89f5635cda49
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Feb 15 23:24:33 2016 +0000

    Fix: having hotline_exten defined in sccp.conf caused reset of all device on every reload.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6629 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 6fa2df1a3499a0e7bf1d66cc6e29314036cd39d4
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Feb 15 22:54:56 2016 +0000

    Fix: removed socket error message, when it was already handled. Issue reported by Pavel
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6628 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit f2083835baa2a8d40cd29f44211ed1f01d632882
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Feb 15 16:28:08 2016 +0000

    Cleanup: remove unused include
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6627 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 6c51e92f11ed3a5dec6b9c81e80f9d824d841831
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Feb 15 14:48:14 2016 +0000

    Fix: gen_sccpconf generator to include jbflag defaults
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6626 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 40ed34475d4a87a9cb17498669ff74133b957a85
Merge: f263893 b0fd55e
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Feb 15 12:52:42 2016 +0000

    Roll back of CallHistoryDisposition patch
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6625 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit f263893e412c98ecca263925529c0cae287148bf
Merge: 1def060 9f3cbea
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Feb 15 14:27:02 2016 +0100

    Merge svn and master

commit 1def060ee65c623019293588ad7c507cfe95dc8d
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Feb 15 12:52:42 2016 +0000

    Roll back of CallHistoryDisposition patch
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6625 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 217ad3a2bc8247f651f303fde723f9b335ec8a4f
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Feb 15 00:45:49 2016 +0000

    Fix update phonebook received calls when using pickup/gpickup
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6623 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 42f7a2b822899f6c02a327a6b978d17e31faa04a
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Feb 14 23:14:48 2016 +0000

    Fix: configure script leaving behind temporary directory
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6622 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 7b2d3900f535de0201de1fe97484d89bc38446c5
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Feb 14 22:19:21 2016 +0000

    Fix asterisk-10 compile issue. Reported by hhornung.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6621 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 8a990dc77e2e5f40904687262d5b41f7ba78d61e
Merge: 6fc9021 9f3cbea
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 14 17:25:46 2016 +0100

    Merge branch 'master' into develop

commit 9f3cbea064918b3729359b45291b3942640ac2ae
Merge: ba82727 b0fd55e
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 14 17:23:52 2016 +0100

    Merge head

commit b0fd55e6b4739dc66f824502210c2540f47b6f38
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Feb 14 16:18:39 2016 +0000

    Fix: Makefile.am to install sccp.conf if not already available
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6620 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 6c14e64885674e7d2b283fe005ca64968f6209d5
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Feb 14 16:18:39 2016 +0000

    Fix: Makefile.am to install sccp.conf if not already available
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6620 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 6fc9021b24db15714b4f8d5228299bbabb59c192
Merge: ba82727 b51632f
Author: Marcello Ceschia <marcello@ceschia.de>
Date:   Sun Feb 14 17:18:13 2016 +0100

    Merge remote-tracking branch 'github/master' into develop

commit b51632ff10998d41509f602c46d73204cf0013a4
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Feb 14 16:11:00 2016 +0000

    Merge current git master into svn trunk, includes feature/modularize_reduce_include
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6619 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit f83b9f5d4315b13fb6b031e1110815f9cdae090d
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Feb 14 16:11:00 2016 +0000

    Merge current git master into svn trunk, includes feature/modularize_reduce_include
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6619 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit ba8272736355b9535fa6e69efa81ae8b4f41a8b9
Merge: d8921e1 24a980a
Author: marcelloceschia <marcello.ceschia@gmx.net>
Date:   Sun Feb 14 16:12:44 2016 +0100

    Merge pull request #287 from dkgroot/master
    
    feature/modularize_reduce_include finalized

commit d8921e10429a12618401ab3d66df94a9d39ca28c
Merge: 6177f2f db1f413
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 14 16:11:59 2016 +0100

    Merge branch 'master' of github.com-dkgroot:marcelloceschia/chan-sccp-b

commit 24a980a6fb26b18cddb6d628e0465d5a721ea446
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 14 15:39:36 2016 +0100

    Fixup merge, CAS32_TYPE was already available in the new define.h file

commit 10a484a375e642f713cd8b30e6f87e988b730e34
Merge: fede8a8 3e81eab
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 14 15:25:38 2016 +0100

    Merge branch 'develop'

commit 3e81eab0dfe5c738ab18d44c20a822b18252ae58
Merge: 9d8c28b 8ad9ee1
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 14 15:21:32 2016 +0100

    Merge branch 'feature/modularize_reduce_include' into develop
    
    Resolved Conflicts:
            Makefile.am
            Makefile.in
            autoconf/acinclude.m4
            autoconf/extra.m4
            configure
            debian/rules
            src/Makefile.am
            src/chan_sccp.c
            src/sccp_atomic.h
            src/sccp_protocol.h
            src/sccp_session.c
            src/sccp_utils.h

commit 9d8c28bcc7ae2fb3ffc7f702a86498d1f9f5f1c2
Merge: 025cf27 6177f2f
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 14 15:12:51 2016 +0100

    Merge branch 'develop' of https://github.com/marcelloceschia/chan-sccp-b into develop

commit fede8a82b339d46ff16018d2430ba2b654206874
Merge: 42149f5 6177f2f
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 14 14:59:21 2016 +0100

    Merge branch 'master' of https://github.com/marcelloceschia/chan-sccp-b

commit db1f41380d1ff10116ccf53c1077dc6c4259a82c
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Feb 14 13:07:41 2016 +0000

    Fix: ancient compiler warning
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6611 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 6177f2fb7fe94d0b903bc8a18a6ef35fb7f85dec
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Feb 14 13:07:41 2016 +0000

    Fix: ancient compiler warning
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6611 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 0f7375c67fc2a84d1ce23a56692e239af9fcf2a5
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Feb 14 13:05:22 2016 +0000

    Enh/Fix: skinny message id boundary checks during message parsing (old version caused issues with clang-3.8).
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6610 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit d04df50a6ebb61f85abbe8edfba1684a730e9c40
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Feb 14 13:05:22 2016 +0000

    Enh/Fix: skinny message id boundary checks during message parsing (old version caused issues with clang-3.8).
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6610 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit f420660d2c6bfc610a05ac7395e35cd4b7ec5cd0
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Feb 14 12:18:51 2016 +0000

    Update debian package build rules
    Show warning (in red) at configure end if compiler is outdated
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6609 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 5a01470dd4f4427fca763673600be6cbf777d205
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Feb 14 12:18:51 2016 +0000

    Update debian package build rules
    Show warning (in red) at configure end if compiler is outdated
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6609 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 8ad9ee113620e49d91a66e240b13afc92803ddc0
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 12 18:45:56 2016 +0100

    Fix 2 clang compile warnings

commit def58367c7608c0568a18d742aa478499ba453f9
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Feb 12 13:04:50 2016 +0000

    Fix: always define CAS32_TYPE. Reported by hhornung.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6608 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 5f48ef1fcfa06381e89e25f5e3453816715fa6b4
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Feb 12 13:04:50 2016 +0000

    Fix: always define CAS32_TYPE. Reported by hhornung.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6608 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit ed53e1f3b6672573f7b852af1c5a458dc005ec1c
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 12 13:13:03 2016 +0100

    Fix: Replacement implementation of atomic functions, using asterisk atomic functions before falling back on local implementation.
    Fix: Local atomic fallback implementation uses trylock instead of lock to prevent running into a deadlock situation.

commit 664fbb9e76996b4e2f7d23b408bd7b3e00e94019
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Feb 12 12:03:51 2016 +0000

    Fix: set socket options should happen before binding to the socket. Socket keepalive is not being used.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6607 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 7585a0d47f6124e635bb78ed53fa175de41dc537
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Feb 12 12:03:51 2016 +0000

    Fix: set socket options should happen before binding to the socket. Socket keepalive is not being used.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6607 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit d96286ad7984ebe1dec0d49ca9853371b37235a8
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Feb 12 12:03:00 2016 +0000

    Fix: Replacement implementation of atomic functions, using asterisk atomic functions before falling back on local implementation.
    Fix: Local atomic fallback implementation uses trylock instead of lock to prevent running into a deadlock situation.
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6606 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit a9f2c1ebe3a799a452a68e189fe9770d952e53ac
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Feb 12 12:03:00 2016 +0000

    Fix: Replacement implementation of atomic functions, using asterisk atomic functions before falling back on local implementation.
    Fix: Local atomic fallback implementation uses trylock instead of lock to prevent running into a deadlock situation.
    
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6606 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit b393fd22800116d4c1b30d9a5c5b82dca9ff7868
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 11 00:06:23 2016 +0100

    Check if threadpool is up before firing an asynchonous event, otherwise handle synchonously. Update mwi debug output indentation

commit 265ab0f0bfa672a6db6e9420658746ef30233db3
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Feb 10 23:54:43 2016 +0100

    Fix mwi subscription for non-realtime lines, Glob(module_running) was preventing events to fire, causing mwi_subscriptions to be missed.

commit b7689b211e26d5c6bd92f1b79d8ccff9c0d7aae1
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Feb 10 17:25:54 2016 +0100

    Handle Unregister Message more carefully to prevent segfault on d or s

commit 3ca378e3a4d0d8d2eca4b7611af4cb5307e6f4cb
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Feb 10 12:38:53 2016 +0100

    Add error output to sccp_mwi_event when not all data is available, to process the event

commit 12d7bc7151d4831388cbe970f4d0d57a00d5e96c
Merge: 2c0e178 6f63109
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Feb 10 01:19:41 2016 +0100

    Merge branch 'feature/modularize_reduce_include' of github.com-dkgroot:dkgroot/chan-sccp-b into feature/modularize_reduce_include

commit 2c0e178d9019302776850bb1f067f35d50aa2dd7
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Feb 9 17:50:12 2016 +0100

    Fix atomic handling in refcount (using CAS32). Fix receipt of UnregisterMessage when no device is known yet).

commit d2a8e0c84022b5f7dca98367820e1eaab346c4a8
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Feb 8 14:15:47 2016 +0100

    Fix make load / unload / reload. Reported by Niklas
    Fix sccp_enum.? generation before the rest

commit 891e320f1025db7d559daf56b83096ed78608ab6
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Feb 8 00:35:47 2016 +0100

    Made socket reading code more understandable and easier to follow. Process got shorter in the process. It will also obey the rulles of combining socket_poll and socket received better, we should read all we can, because poll will not get back to us, when we have not cleanout out the stream.
    Implement more optimal read_data function, where we try to empty the socketstream before returning to poll. Poll will only signal us for new data arriving not for data already in the pipe which it has told us about.
    Without SO_RCVTIMEO, readAtLeast became much simpler and is now called process_buffer
    Handle send2 without SO_SNDTIMEO
    Speedup cluster failover (by fixing socket_setoption before bind order)

commit 6f63109c4cea33f01f5c9015233e8a3af48a6841
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Feb 10 00:23:36 2016 +0100

    CAS32 only required during refcount_release.

commit b1ae0e413c2d4312648e8895b0f149c1c222d66e
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Feb 9 17:52:35 2016 +0100

    Prevent compiler warning about not using refurn value from Atomic incr/decr functions (in locking/fallback mode).

commit 33eb456984c451a53595ed127bbe9cf902086d77
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Tue Feb 9 16:51:55 2016 +0000

    Prevent compiler warning about not using refurn value from Atomic incr/decr functions (in locking/fallback mode).
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6605 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 8d4cc20955e05578e694ece6ef708a5dd8e24cd4
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Tue Feb 9 16:51:55 2016 +0000

    Prevent compiler warning about not using refurn value from Atomic incr/decr functions (in locking/fallback mode).
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6605 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit a902acbef7f355fb8668f8684bc353aa7d8adbb3
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Feb 9 17:50:12 2016 +0100

    Fix atomic handling in refcount (using CAS32). Fix receipt of UnregisterMessage when no device is known yet).

commit 18f0cbc327c87788dc7ee4410ff566ab0ff2eb4e
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Feb 9 01:32:30 2016 +0100

    Fix compile warning about cast-alignment

commit fc114be9e81d3a0ece1e626dbfe3cfd77f43e844
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Feb 9 01:07:49 2016 +0100

    Integrate sccp_enum generation patch from svn trunk.

commit ec6677f9c1ae16ede8ef1c66f45cc8e7bfe2bf8e
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Feb 8 23:44:22 2016 +0000

    Make call to awk during make more posix compatible. Required to generate sccp_enum.h and sccp_enum.c. Issue reported by Miguel.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6604 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 8a47dc31dfc79bf56e50f1e5f84e313ab4b6c888
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Feb 8 23:44:22 2016 +0000

    Make call to awk during make more posix compatible. Required to generate sccp_enum.h and sccp_enum.c. Issue reported by Miguel.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6604 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 7b349c049c2e6c1c0b3ecdb5784af5267728b087
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Tue Feb 9 00:15:31 2016 +0100

    Setting socket options should happen before bind

commit c4b461bfe1f575e3ed91f7392b100b084ba71c17
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Feb 8 23:43:04 2016 +0100

    Speedup cluster failover

commit 9c88b89717e4ff5ba6110ab10c17b191bede9bba
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Feb 8 21:36:31 2016 +0100

    Handle send2 without SO_TIMEOUT

commit 928df05c21e75ff5a7657f0e2dac633776160c75
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Feb 8 21:36:01 2016 +0100

    Handle_Unregister more gracefully and faster

commit 2abe577bc649e0c39430ad4d4dea5b59b8c75ecc
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Feb 8 20:01:11 2016 +0100

    Cleanup socket handling control flow / error handling

commit 4b62b2c959438ab6260052acfa6e401ab29bbd53
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Feb 8 19:29:56 2016 +0100

    Made socket reading code more understandable and easier to follow. Process got shorter in the process. It will also obey the rulles of combining socket_poll and socket received better, we should read all we can, because poll will not get back to us, when we have not cleanout out the stream.

commit e3e56dce986baf359c7730f4a351dcdcb45366f4
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Feb 8 14:52:45 2016 +0100

    Fix sccp_enum.? generation before the rest

commit 9bbb5219ee9b1d1230c029e71aef857dd482742c
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Feb 8 13:52:23 2016 +0000

    Building sccp_enum.? only once.
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6603 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 847480fbf1d1244546555dda4aa360b32fa0e1d5
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Feb 8 13:52:23 2016 +0000

    Building sccp_enum.? only once.
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6603 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit f5ecbc0303670878f1cabcebf26b5afbd818a15b
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Feb 8 13:42:51 2016 +0000

    Fix code sccp_enum.? generation required during build process. Reported by Miguel Sanz
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6602 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit e07b178a3fc1136c4550119a341e0bf6fe1f300f
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Mon Feb 8 13:42:51 2016 +0000

    Fix code sccp_enum.? generation required during build process. Reported by Miguel Sanz
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6602 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit f4e8dbe8481b8f27b66979d1a7171456a3909e16
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Feb 8 14:15:47 2016 +0100

    Fix make load / unload / reload. Reported by Niklas

commit 5c8fa453adf53cf56fc36a41b4fb03c81a21af29
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Feb 8 04:37:22 2016 +0100

    Without SO_RCVTIMEO, readAtLeast becomes much simpler

commit e8a35c0cf8edd824eb45df38111b191d979ca27e
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Feb 8 02:57:14 2016 +0100

    Adapted some of the timing parameters of session handling, earlier timeout on recv and send

commit 81eea73c57088e7c02564828f655ddc1b135c6da
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Mon Feb 8 00:35:47 2016 +0100

    Implement more optimal read_data function, where we try to empty the socketstream before returning to poll. Poll will only signal us for new data arriving not for data already in the pipe which it has told us about.

commit b73472a2ce0149256e7f9dc7d3389915c79cc9eb
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 7 23:44:17 2016 +0100

    Fix unreading the socket and exidentally loosing a packet or part of a packet. Not the most optimal solution (we could have read more from the socket by looping around, but opting for the safe solution first).

commit c190952405840bcc5f47cb29ff581711c8b25f8b
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 7 22:55:24 2016 +0100

    Fix flow ordering: pbx_mwi_unsubscribe freeing pointer before event callback

commit 603b921af754b49f12a796a4e967cb46896946b8
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Feb 7 18:49:41 2016 +0000

    Sync/Update/Fix the database update scripts
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6601 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 1f5ae41fb2d1a04c7ae4ca822d035a398b6d8245
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sun Feb 7 18:49:41 2016 +0000

    Sync/Update/Fix the database update scripts
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6601 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit fa3b0e02028b3f89112924fdf3c4ce68ee3801bc
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 7 18:43:03 2016 +0100

    Fix/Update database_update_scripts

commit 95a6b1a433dc11c202af96a44b7eff4998254df0
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 7 18:21:25 2016 +0100

    Fix continued ringing after remote site already hungup. Reported by Oliver.

commit 21b10dd23049023acc457ba8bd8bf0c75f5d8a61
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 7 14:54:56 2016 +0100

    Should have used 'const struct messagetype *msgtype'

commit ff64b70f6655c6b523f13d3b50142cd6efc3093d
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 7 06:50:21 2016 +0100

    Using a unions to be able to read/write to/from msg as both a unsigned char *buffer as wel as sccp_msg_t *msg. Removed unused function. Adapted skimny_messagetype array to be able to index into it and verify that what we found is a legal messageId

commit f64fc3d6096c09b5547bb2c03573449a3a7b850a
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 7 04:22:44 2016 +0100

    Make sure we have at least the length of a minimal packet before parsing the message.

commit 7626ab0ad1907f0f752837db9d3157a22aec0f4e
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 7 04:16:15 2016 +0100

    Protect against incoming garbage packet by closing connection immediately.

commit e615a4859ab38812e0fee12fdfbcac157fc184e7
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 7 03:46:40 2016 +0100

    Clean of session_read_data. Less memcpy / memmove action, reading directly into final msg_t. While loop of packet receive + error handling is done by inline helper function.

commit 025cf270c7e1d9440da3d8386ed6eedeee0ca948
Merge: a9bdfd4 42149f5
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 7 01:47:45 2016 +0100

    Merge branch 'master' into develop

commit 42149f583a6a8e03aefa661a585771806ff4d7ae
Merge: cc7da2b bbacb8f
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 7 01:46:57 2016 +0100

    Merge branch 'master' of https://github.com/marcelloceschia/chan-sccp-b

commit 2b2cdab4afe8b792b7530d4ebf40d52b49e0e958
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 7 01:42:16 2016 +0100

    Tautological Compare

commit 6522615c64cbd8c8d3cbf9bedf9b24c300635db5
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 7 01:21:03 2016 +0100

    Simplified Socket Reading (and discarding).

commit fa28e0801fa9df4d945dcc2175ed400ed9d542b1
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Sun Feb 7 01:20:19 2016 +0100

    Update debian deb rules to newer version of configure script

commit 1af9d74da70ceb2c930cd04abfd797c451324c9f
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Feb 6 16:16:25 2016 +0000

    Update debian ./configure command
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6600 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit bbacb8fb17747ae9d6ba2a1316959b1d937b1c74
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Sat Feb 6 16:16:25 2016 +0000

    Update debian ./configure command
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6600 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 81e0cb3a77a809258333f5d24b51ce01fc406562
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Feb 5 22:11:41 2016 +0000

    Fix: configure giving out warning. Enhancement: make load/unload/reload
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6599 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit e82bf4fd8ad473b5070cf54db40037899c23c4df
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Feb 5 22:11:41 2016 +0000

    Fix: configure giving out warning. Enhancement: make load/unload/reload
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6599 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit d5991a4d3a2be7b001dfa7396d859d1ee2ac5ffc
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 5 23:10:03 2016 +0100

    Fix: configure giving out warning. Enhancement: make load/unload/reload

commit a98753b32820cd7beff9873aecc2d27d0eb9a41c
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 5 22:30:12 2016 +0100

    Revert errornous search/replace

commit 1c0861d975f874a10c7814affb7adcde1e45c0d7
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 5 21:37:25 2016 +0100

    Revert errornous search/replace

commit 40fface62b34e2abc2d0a544df89203a4bce4d22
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Feb 5 20:17:56 2016 +0000

    Replaced gawk-extension dependencies from gen_sccp_enum.awk.
    Made it work under the Posix version of awk.
    Switched the configure dependency from gawk to posix compliant version of awk
    Issue reported by Niklas.
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6598 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit d26556dda4a026f015d5099ab73e46b4e7e31b09
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Feb 5 20:17:56 2016 +0000

    Replaced gawk-extension dependencies from gen_sccp_enum.awk.
    Made it work under the Posix version of awk.
    Switched the configure dependency from gawk to posix compliant version of awk
    Issue reported by Niklas.
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6598 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 11c5c0c3d43fc86b599ce6700d2b4b9273a06e6d
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 5 21:09:33 2016 +0100

    don't use else after return, renamed function parameters to be consistent, sort includes, fixed deadcode

commit d679469bcb0da280019c0dcdc393066c7c55a34e
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 5 19:15:16 2016 +0100

    don't use else after return, renamed function parameters to be consistent, sort includes, fixed deadcode, fixed potential bufferoverflow.

commit a3deb2d84dccc2b8474e7ca64177938a1a012e55
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 5 18:32:36 2016 +0100

    Replaced gawk-extension dependencies from tools/gen_sccp_enum.awk and made it work under the Posix version of awk. Switched the configure dependency from gawk to awk (platform indepenent)

commit db48931debda25ff729a4d32609efe05009c8c1d
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 5 17:58:05 2016 +0100

    Hard Dependency on gawk is now checked within configure script. Reported by Niklas.
    Will look into remvoing the dependency on the awk-extension provided by gawk, so it will run cleanly using the POSIX awk version.

commit 8b76bfcd409cce9cf31711365c11fba76557bb69
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Feb 5 16:55:42 2016 +0000

    Hard Dependency on gawk is now checked within configure script. Reported by Niklas.
    Will look into remvoing the dependency on the awk-extension provided by gawk, so it will run cleanly using the POSIX awk version.
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6597 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit d06bcedfb1abfc3634ffbc324dbc5df8152df36d
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Fri Feb 5 16:55:42 2016 +0000

    Hard Dependency on gawk is now checked within configure script. Reported by Niklas.
    Will look into remvoing the dependency on the awk-extension provided by gawk, so it will run cleanly using the POSIX awk version.
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6597 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit ad7e4e2f4ca519a09d27731f9716e9b755594132
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 5 15:23:46 2016 +0100

    Fix compile warnings

commit c6f6dc13bb4ed65c943e53060395e8e9b08891c6
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 5 14:48:46 2016 +0100

    Switched to new implementation of sccp_event.c

commit 673b06a84c406a7f0a71f2bd709de8ae6b6bc9cb
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 5 14:47:30 2016 +0100

    Fix vector implementation, which would allow calling memcpy with a NULL pointer with vector elements being checked beforehand

commit 91225a6521b0c825b91d67e188c01af7100bb136
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 5 14:46:16 2016 +0100

    Fix parsing pbx_channel_string2amaflags which cannot return <0

commit 61f57f00185566f94fa5ecfaacb908c8eee1cad9
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 5 14:45:13 2016 +0100

    sort includes, don't use else after return

commit 8a2203be31938e401bd822ed25e7682b98b950b6
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 5 13:46:34 2016 +0100

    Change status variable to enum.

commit 0b5250776139be40282fdddb33f500a70684480d
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 5 13:45:59 2016 +0100

    Fix bounds check (again)

commit 8b3fd1c0f4b7b9356c5c016fdd03d8f440d3d911
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 5 13:44:50 2016 +0100

    Use NonNull attribute for all static analyzers

commit 7ecdfedcbf2eadebe0eacac9bc40243a7bf34a3d
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 5 04:05:29 2016 +0100

    Fix copying into fixed length char. using strdupa instead

commit a1e62c472492443fd92512974c378baa08938861
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 5 04:04:56 2016 +0100

    Use sccp_random() instead of rand()

commit afbcd29a60729882ae6a100584b34ed8d993058a
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 5 03:56:25 2016 +0100

    Another attempt at fixing updateNatRemote

commit bfaf1b5ad47ce9f9c6bc6ec06b30f4508f2a59b2
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 5 03:50:46 2016 +0100

    Remove Dead Code

commit 32e0c8b3551d60a302a30dee83955129c12b4466
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 5 03:45:42 2016 +0100

    More logical code flow

commit 0ba45621544cdb57a3e1197aece610b48f478cc6
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 5 03:40:50 2016 +0100

    Add nullpointer check

commit 38979050f52233b545b714557c7fd98915ac17f2
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 5 03:39:12 2016 +0100

    Fix errornous use of snprintf. Fix memset fill truncated.

commit 5729bbd229525c03911e606fb132d2e3c0cc079e
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 5 00:56:02 2016 +0100

    Correct null pointer check

commit 4629081d1bb30c2f9833ee8b30ae9f88289ec89e
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Feb 4 23:20:29 2016 +0000

    Typo: r6595: SCCP_LIST_REMOVE_LIST(session) should have SCCP_LIST_REMOVE_CURRENT(list). Reported by hhornung.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6596 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 69685fc4c80f2e8689355f7e8345dfc7e733fc2f
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Feb 4 23:20:29 2016 +0000

    Typo: r6595: SCCP_LIST_REMOVE_LIST(session) should have SCCP_LIST_REMOVE_CURRENT(list). Reported by hhornung.
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6596 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 2721ed01b4220d8c90668381bac6e78b44ab074e
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 5 00:04:08 2016 +0100

    Removed redundant if, followed naturally

commit f4ac71453a622825273ba2c133fca5fd98d9d45c
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Fri Feb 5 00:03:47 2016 +0100

    Remove unneeded null pointer check

commit 64818ab850cb14b14d7388494447528db6735f8e
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 23:58:00 2016 +0100

    Use already provided c->designator instead of concatenating c->line->name and c->callid. Use d->id instead of DEV_ID_LOG(d) where appropriate (after null pointer check)

commit de53545d02a30148065f6a814ab2dd2d68e3bd59
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 23:44:29 2016 +0100

    Remove deadcode. Change behaviour->renew firstdigittimeout by pressing backspace even when no digits were entered

commit dc8e677e2af21799ea71693cfcb98857c22760a7
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 23:43:32 2016 +0100

    Remove deadcode

commit 0dfe8e97eecd074617c0693cce033ef099c06ae4
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 23:43:18 2016 +0100

    Remove deadcode. Hoist Null pointer checks

commit 3ea1b563760a68b02b03ae378d7ebd0f257de66c
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 23:31:47 2016 +0100

    Fix: sending UserToDeviceDataVersion1Message with as little data as needed, by using a variable length struct instead of a pre-sized one (fixes issue on 7960)

commit 83644d5d7e0e52a6c0e8963db4dc43a85221778d
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 23:30:04 2016 +0100

    Remove dead code

commit 4602e0c8bf66c593d9c3e8aedf8aff448f4ec2fc
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 23:29:45 2016 +0100

    Fix control flow in skinny_codec_pref_remove, to make this function actually work

commit 1055491eb5141e5c3d88a025be4f36c62577002e
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 23:12:37 2016 +0100

    don't use else after return, renamed function parameters to be consistent, sort includes, fixed deadcode, fixed potential bufferoverflow

commit 9b168bf2dda3bda56f2871b750c51650a8903330
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 22:57:24 2016 +0100

    don't use else after return, renamed function parameters to be consistent, sort includes

commit 4c45d904079e263006b4ff115006f3d9683ab2ea
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 22:56:00 2016 +0100

    Add break to switch statement to make flow explicit

commit 5fbf0f22482d2295dd962e7859245bfe909c0c23
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 22:55:29 2016 +0100

    Fix potential buffer overflow

commit 0798090c5523f370994ead51d52efd74eb90672e
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 22:54:44 2016 +0100

    Exit function when unknown dnd state is requested

commit 8dfce2b0e118aa834db978cac36b14a0f0bcf7ac
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 22:54:04 2016 +0100

    Removed self assignment

commit 4ec45f020688413fafb22bf8b09b278afa41bbd5
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 22:52:20 2016 +0100

    Use pbx_random implementation for now

commit 461700fb2423d5581be85d824e691269a0ab5f76
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 22:18:14 2016 +0100

    cleanup sccp_multiple_codecs2str
    renamed function parameters to be consistent
    sort includes
    don't use else after return
    insert braches into statement to improve readability
    use parantheses when calling a macro, to prevent multiple expansion

commit 8c15bef69ddd30e2060b858143adc9ba79e3396b
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 20:57:52 2016 +0100

    Added local implementation of a safer random() function

commit 63fccd2414ad777c4a377e3ab44eb7a402193b39
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 18:55:52 2016 +0100

    Replace coverity travis files with the original

commit 22e7f52fb6eac33fb7fa51037ed85ab5174ae76f
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 18:53:31 2016 +0100

    renamed function parameters to be consistent
    sort includes
    don't use else after return
    insert braches into statement to improve readability
    use parantheses when calling a macro, to prevent multiple expansion

commit 60414f6aae2913bd53105e20a7c717d7cc4a510b
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Feb 4 17:11:57 2016 +0000

    Fix: Need to remove session from the Glob(sessions) list before calling destroy_session to prevent use after free
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6595 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit c5bdbf4cd2aa8a1b8654a991db14919d5183d622
Author: ddegroot <ddegroot@43c1dc8c-776e-4df2-8ef1-6e829299be21>
Date:   Thu Feb 4 17:11:57 2016 +0000

    Fix: Need to remove session from the Glob(sessions) list before calling destroy_session to prevent use after free
    
    
    git-svn-id: https://svn.code.sf.net/p/chan-sccp-b/code/trunk@6595 43c1dc8c-776e-4df2-8ef1-6e829299be21

commit 89f3cf52bae955125238bfbb37a666d00b26837f
Merge: b401448 5b7da4b
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 18:07:11 2016 +0100

    Merge branch 'feature/modularize_reduce_include' into coverity_scan

commit 5b7da4baab675ec10fb5c22bbe9741909bf90dc9
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 18:06:04 2016 +0100

    renamed function parameters to be consistent
    sort includes
    don't use else after return
    insert braches into statement to improve readability
    use parantheses when calling a macro, to prevent multiple expansion

commit 8534280b42c9117ce4d62420d82b4f50bd997812
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 17:51:41 2016 +0100

    renamed function parameters to be consistent
    sort includes
    don't use else after return
    insert braches into statement to improve readability
    use parantheses when calling a macro, to prevent multiple expansion

commit b00fadcf61b72312eed3535a7ea31ce628364fec
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 17:10:08 2016 +0100

    renamed function parameters to be consistent
    sort includes
    don't use else after return
    insert braches into statement to improve readability
    use parantheses when calling a macro, to prevent multiple expansion

commit e7cbd8fbc0134880d12c8d01902944af223cadc1
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 16:57:58 2016 +0100

    Sorted includes

commit b351b5db93d5fe07ecaa6d7b21d06b2e5597e825
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 16:56:45 2016 +0100

    Fix: protocolVersion detection. Enh: Tidied up

commit 406e49dda075aab811bfbbce16437360a29c6960
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 16:50:58 2016 +0100

    Fix: don't overwrite existing sccp.conf

commit 5837fa14e307a2ae58123a0d2ceb77c64e769415
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 16:01:47 2016 +0100

    Replace <config.h> with "config.h"

commit e8ea7e527aa27dd642a1397213443b19318c1395
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 15:05:45 2016 +0100

    Update llvm-scan-build

commit 6480161e931b9e6213389a42be82371f0924c970
Merge: c8d9842 ef0402c
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 14:26:31 2016 +0100

    Fixup sccp_cli.c

commit c8d984231bd640499274b1044526c0254c9d7af1
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 14:23:46 2016 +0100

    Cleanup make install output

commit 1f2b8c19a37c433363d6a6f93832f1ded338b757
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 14:05:35 2016 +0100

    Don't overwrite but append to changed for multiple devices when reloading a line

commit bafb769c372544fbe2aed013d47470ac5ea9d663
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 13:46:59 2016 +0100

    Fix channel->state check

commit 4dd517cbd63d02b89352f7191fdb9f60a3a1329e
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 13:46:43 2016 +0100

    Fix enum function generation, when looping through bitfield

commit 4211380231a3ae1dc0c458c89a402f2055456106
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 13:40:01 2016 +0100

    Hoist SCCP_RWLIST_REMOVE_CURRENT before pointer sccp_free

commit c41fe0669d2633a9f489385179947e00ff608a6a
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 13:36:46 2016 +0100

    Fix deadcode. msg cannot be NULL here

commit e3481c9db4e56473064b05e9e0b3c21d47544599
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 13:33:40 2016 +0100

    Fix deadcode. d/l cannot be NULL here

commit 1d9d978c0311bba87c9f744efa221dd7368b376b
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 13:26:27 2016 +0100

    Illiminate currently deadcode for phonebook handling during remoteIndication

commit ebdafeccf20d427310065cafe2f0a8a9a54ec7a8
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 13:21:20 2016 +0100

    Fix deadcode. d/c/l cannot be NULL here

commit 4df889e1a2af9ffcc586aad6ec52a8813a35e1ca
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 13:16:53 2016 +0100

    Fix use enum instead of int for type and flags when parsing ConfigOptions

commit af3634737a66b4693e0db3648496cad9c4bf466b
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 13:13:18 2016 +0100

    Fix boundscheck for mid

commit 6e9eaab8941c45829097c2912962f13b50591778
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 13:08:33 2016 +0100

    Fix deadcode

commit 3aeed5b06347c891402d009c20e02a4dffa94052
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 13:04:38 2016 +0100

    Removed dead code

commit 645cb59f1db32c2f2622af220b97ca1c71c017fa
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 12:56:43 2016 +0100

    fix outofbounds check for message id

commit 531c0ac63e9f7680bc69712a569b379675f93db0
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 12:56:25 2016 +0100

    Second attempt at fixing LIST_SAFE_END

commit 6aafcb6f8b0cec384f24832805948e08b6170096
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 05:21:47 2016 +0100

    Fix type where async should have been sync

commit dc0556630de039216e6fc89a0242cda235a8e965
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 05:21:08 2016 +0100

    Fix typo / cfwdAll should have been cfwdBusy

commit 380cae7db71463038dba1d9351fa7d974fb53a55
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 05:14:31 2016 +0100

    Fix buffer overflow and null pointer dereference

commit ce137c95f8667b65d662be4652ead8b4b277297e
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 05:07:14 2016 +0100

    Fix break in switch

commit 3236894fb0bd3e0988ae84ff8f3f5e94ee336e74
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 05:02:00 2016 +0100

    Fixing the assign to self issue. And withing a SAFE_BEGIN/SAFE_END BLOCK you need to use REMOVE_CURRENT before freeing the pointer apparently (We should maybe transfer a new version of dllist.h from ast13 to remedy this)

commit 100296d4d516ad0f0eed0b4d6f27c480b7ac644d
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 05:00:29 2016 +0100

    Minor issues

commit a91bbe56ad00f75f7c8e5494db06f5bd4f3d4d28
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 02:30:36 2016 +0100

    Fix compiler warning

commit 88036630878aa3db42a587f79619f15774a3472a
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 00:23:22 2016 +0100

    Fix: sccp_destroy_session causing segfault on sccp_free(s)

commit 4dc44b4c01fcfd2fc0bceb92c999f7a042592d25
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Thu Feb 4 00:06:16 2016 +0100

    Fix dereference before null check

commit 5b019dad124ddc7196292dfafb7762e32c3561c2
Author: Diederik de Groot <dkgroot@talon.nl>
Date:   Wed Feb 3 23:48:12 2016 +0100

